// Code generated by pigeon; DO NOT EDIT.

package nosql

import (
	"bytes"
	"errors"
	"fmt"
	"io"
	"math"
	"os"
	"sort"
	"strconv"
	"strings"
	"sync"
	"unicode"
	"unicode/utf8"

	"github.com/pikami/cosmium/parsers"
)

func makeSelectStmt(
	columns, table,
	whereClause interface{}, distinctClause interface{},
	count interface{}, orderList interface{},
) (parsers.SelectStmt, error) {
	selectStmt := parsers.SelectStmt{
		SelectItems: columns.([]parsers.SelectItem),
		Table:       table.(parsers.Table),
	}

	switch v := whereClause.(type) {
	case parsers.ComparisonExpression, parsers.LogicalExpression, parsers.Constant, parsers.SelectItem:
		selectStmt.Filters = v
	}

	if distinctClause != nil {
		selectStmt.Distinct = true
	}

	if n, ok := count.(int); ok {
		selectStmt.Count = n
	}

	if orderExpressions, ok := orderList.([]parsers.OrderExpression); ok {
		selectStmt.OrderExpressions = orderExpressions
	}

	return selectStmt, nil
}

func makeSelectItem(name interface{}, path interface{}, selectItemType parsers.SelectItemType) (parsers.SelectItem, error) {
	ps := path.([]interface{})

	paths := make([]string, 1)
	paths[0] = name.(string)
	for _, p := range ps {
		paths = append(paths, p.(string))
	}

	return parsers.SelectItem{Path: paths, Type: selectItemType}, nil
}

func makeColumnList(column interface{}, other_columns interface{}) ([]parsers.SelectItem, error) {
	collsAsArray := other_columns.([]interface{})
	columnList := make([]parsers.SelectItem, len(collsAsArray)+1)
	columnList[0] = column.(parsers.SelectItem)

	for i, v := range collsAsArray {
		if col, ok := v.(parsers.SelectItem); ok {
			columnList[i+1] = col
		}
	}

	return columnList, nil
}

func makeSelectArray(columns interface{}) (parsers.SelectItem, error) {
	return parsers.SelectItem{
		SelectItems: columns.([]parsers.SelectItem),
		Type:        parsers.SelectItemTypeArray,
	}, nil
}

func makeSelectObject(field interface{}, other_fields interface{}) (parsers.SelectItem, error) {
	fieldsAsArray := other_fields.([]interface{})
	fieldsList := make([]parsers.SelectItem, len(fieldsAsArray)+1)
	fieldsList[0] = field.(parsers.SelectItem)

	for i, v := range fieldsAsArray {
		if col, ok := v.(parsers.SelectItem); ok {
			fieldsList[i+1] = col
		}
	}

	return parsers.SelectItem{
		SelectItems: fieldsList,
		Type:        parsers.SelectItemTypeObject,
	}, nil
}

func makeOrderByClause(ex1 interface{}, others interface{}) ([]parsers.OrderExpression, error) {
	othersArray := others.([]interface{})
	orderList := make([]parsers.OrderExpression, len(othersArray)+1)
	orderList[0] = ex1.(parsers.OrderExpression)

	for i, v := range othersArray {
		if col, ok := v.(parsers.OrderExpression); ok {
			orderList[i+1] = col
		}
	}

	return orderList, nil
}

func makeOrderExpression(field interface{}, order interface{}) (parsers.OrderExpression, error) {
	value := parsers.OrderExpression{
		SelectItem: field.(parsers.SelectItem),
		Direction:  parsers.OrderDirectionAsc,
	}

	if orderValue, ok := order.(parsers.OrderDirection); ok {
		value.Direction = orderValue
	}

	return value, nil
}

func createFunctionCall(functionType parsers.FunctionCallType, arguments []interface{}) (parsers.FunctionCall, error) {
	return parsers.FunctionCall{Type: functionType, Arguments: arguments}, nil
}

func joinStrings(array []interface{}) string {
	var stringsArray []string
	for _, elem := range array {
		str, ok := elem.(string)
		if !ok {
			continue
		}
		stringsArray = append(stringsArray, str)
	}

	return strings.Join(stringsArray, "")
}

func combineExpressions(ex1 interface{}, exs interface{}, operation parsers.LogicalExpressionType) (interface{}, error) {
	if exs == nil || len(exs.([]interface{})) < 1 {
		return ex1, nil
	}

	return parsers.LogicalExpression{
		Expressions: append([]interface{}{ex1}, exs.([]interface{})...),
		Operation:   operation,
	}, nil
}

var g = &grammar{
	rules: []*rule{
		{
			name: "Input",
			pos:  position{line: 143, col: 1, offset: 3822},
			expr: &actionExpr{
				pos: position{line: 143, col: 10, offset: 3831},
				run: (*parser).callonInput1,
				expr: &labeledExpr{
					pos:   position{line: 143, col: 10, offset: 3831},
					label: "selectStmt",
					expr: &ruleRefExpr{
						pos:  position{line: 143, col: 21, offset: 3842},
						name: "SelectStmt",
					},
				},
			},
		},
		{
			name: "SelectStmt",
			pos:  position{line: 147, col: 1, offset: 3885},
			expr: &actionExpr{
				pos: position{line: 147, col: 15, offset: 3899},
				run: (*parser).callonSelectStmt1,
				expr: &seqExpr{
					pos: position{line: 147, col: 15, offset: 3899},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 147, col: 15, offset: 3899},
							name: "Select",
						},
						&ruleRefExpr{
							pos:  position{line: 147, col: 22, offset: 3906},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 148, col: 5, offset: 3913},
							label: "distinctClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 148, col: 20, offset: 3928},
								expr: &ruleRefExpr{
									pos:  position{line: 148, col: 20, offset: 3928},
									name: "DistinctClause",
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 148, col: 36, offset: 3944},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 149, col: 5, offset: 3951},
							label: "topClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 149, col: 15, offset: 3961},
								expr: &ruleRefExpr{
									pos:  position{line: 149, col: 15, offset: 3961},
									name: "TopClause",
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 149, col: 26, offset: 3972},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 149, col: 29, offset: 3975},
							label: "columns",
							expr: &ruleRefExpr{
								pos:  position{line: 149, col: 37, offset: 3983},
								name: "Selection",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 149, col: 47, offset: 3993},
							name: "ws",
						},
						&ruleRefExpr{
							pos:  position{line: 150, col: 5, offset: 4000},
							name: "From",
						},
						&ruleRefExpr{
							pos:  position{line: 150, col: 10, offset: 4005},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 150, col: 13, offset: 4008},
							label: "table",
							expr: &ruleRefExpr{
								pos:  position{line: 150, col: 19, offset: 4014},
								name: "TableName",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 150, col: 29, offset: 4024},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 151, col: 5, offset: 4031},
							label: "whereClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 151, col: 17, offset: 4043},
								expr: &actionExpr{
									pos: position{line: 151, col: 18, offset: 4044},
									run: (*parser).callonSelectStmt23,
									expr: &seqExpr{
										pos: position{line: 151, col: 18, offset: 4044},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 151, col: 18, offset: 4044},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 151, col: 21, offset: 4047},
												name: "Where",
											},
											&ruleRefExpr{
												pos:  position{line: 151, col: 27, offset: 4053},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 151, col: 30, offset: 4056},
												label: "condition",
												expr: &ruleRefExpr{
													pos:  position{line: 151, col: 40, offset: 4066},
													name: "Condition",
												},
											},
										},
									},
								},
							},
						},
						&labeledExpr{
							pos:   position{line: 152, col: 5, offset: 4108},
							label: "orderByClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 152, col: 19, offset: 4122},
								expr: &ruleRefExpr{
									pos:  position{line: 152, col: 19, offset: 4122},
									name: "OrderByClause",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "DistinctClause",
			pos:  position{line: 156, col: 1, offset: 4239},
			expr: &litMatcher{
				pos:        position{line: 156, col: 19, offset: 4257},
				val:        "distinct",
				ignoreCase: true,
				want:       "\"DISTINCT\"i",
			},
		},
		{
			name: "TopClause",
			pos:  position{line: 158, col: 1, offset: 4270},
			expr: &actionExpr{
				pos: position{line: 158, col: 14, offset: 4283},
				run: (*parser).callonTopClause1,
				expr: &seqExpr{
					pos: position{line: 158, col: 14, offset: 4283},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 158, col: 14, offset: 4283},
							name: "Top",
						},
						&ruleRefExpr{
							pos:  position{line: 158, col: 18, offset: 4287},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 158, col: 21, offset: 4290},
							label: "count",
							expr: &ruleRefExpr{
								pos:  position{line: 158, col: 27, offset: 4296},
								name: "Integer",
							},
						},
					},
				},
			},
		},
		{
			name: "Selection",
			pos:  position{line: 162, col: 1, offset: 4331},
			expr: &choiceExpr{
				pos: position{line: 162, col: 14, offset: 4344},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 162, col: 14, offset: 4344},
						name: "SelectValueSpec",
					},
					&ruleRefExpr{
						pos:  position{line: 162, col: 32, offset: 4362},
						name: "ColumnList",
					},
					&ruleRefExpr{
						pos:  position{line: 162, col: 45, offset: 4375},
						name: "SelectAsterisk",
					},
				},
			},
		},
		{
			name: "SelectAsterisk",
			pos:  position{line: 164, col: 1, offset: 4391},
			expr: &actionExpr{
				pos: position{line: 164, col: 19, offset: 4409},
				run: (*parser).callonSelectAsterisk1,
				expr: &litMatcher{
					pos:        position{line: 164, col: 19, offset: 4409},
					val:        "*",
					ignoreCase: false,
					want:       "\"*\"",
				},
			},
		},
		{
			name: "ColumnList",
			pos:  position{line: 170, col: 1, offset: 4604},
			expr: &actionExpr{
				pos: position{line: 170, col: 15, offset: 4618},
				run: (*parser).callonColumnList1,
				expr: &seqExpr{
					pos: position{line: 170, col: 15, offset: 4618},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 170, col: 15, offset: 4618},
							label: "column",
							expr: &ruleRefExpr{
								pos:  position{line: 170, col: 22, offset: 4625},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 170, col: 33, offset: 4636},
							label: "other_columns",
							expr: &zeroOrMoreExpr{
								pos: position{line: 170, col: 47, offset: 4650},
								expr: &actionExpr{
									pos: position{line: 170, col: 48, offset: 4651},
									run: (*parser).callonColumnList7,
									expr: &seqExpr{
										pos: position{line: 170, col: 48, offset: 4651},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 170, col: 48, offset: 4651},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 170, col: 51, offset: 4654},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 170, col: 55, offset: 4658},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 170, col: 58, offset: 4661},
												label: "coll",
												expr: &ruleRefExpr{
													pos:  position{line: 170, col: 63, offset: 4666},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "SelectValueSpec",
			pos:  position{line: 174, col: 1, offset: 4753},
			expr: &actionExpr{
				pos: position{line: 174, col: 20, offset: 4772},
				run: (*parser).callonSelectValueSpec1,
				expr: &seqExpr{
					pos: position{line: 174, col: 20, offset: 4772},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 174, col: 20, offset: 4772},
							val:        "value",
							ignoreCase: true,
							want:       "\"VALUE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 174, col: 29, offset: 4781},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 174, col: 32, offset: 4784},
							label: "column",
							expr: &ruleRefExpr{
								pos:  position{line: 174, col: 39, offset: 4791},
								name: "SelectItem",
							},
						},
					},
				},
			},
		},
		{
			name: "TableName",
			pos:  position{line: 180, col: 1, offset: 4945},
			expr: &actionExpr{
				pos: position{line: 180, col: 14, offset: 4958},
				run: (*parser).callonTableName1,
				expr: &labeledExpr{
					pos:   position{line: 180, col: 14, offset: 4958},
					label: "key",
					expr: &ruleRefExpr{
						pos:  position{line: 180, col: 18, offset: 4962},
						name: "Identifier",
					},
				},
			},
		},
		{
			name: "SelectArray",
			pos:  position{line: 184, col: 1, offset: 5029},
			expr: &actionExpr{
				pos: position{line: 184, col: 16, offset: 5044},
				run: (*parser).callonSelectArray1,
				expr: &seqExpr{
					pos: position{line: 184, col: 16, offset: 5044},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 184, col: 16, offset: 5044},
							val:        "[",
							ignoreCase: false,
							want:       "\"[\"",
						},
						&ruleRefExpr{
							pos:  position{line: 184, col: 20, offset: 5048},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 184, col: 23, offset: 5051},
							label: "columns",
							expr: &ruleRefExpr{
								pos:  position{line: 184, col: 31, offset: 5059},
								name: "ColumnList",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 184, col: 42, offset: 5070},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 184, col: 45, offset: 5073},
							val:        "]",
							ignoreCase: false,
							want:       "\"]\"",
						},
					},
				},
			},
		},
		{
			name: "SelectObject",
			pos:  position{line: 188, col: 1, offset: 5118},
			expr: &actionExpr{
				pos: position{line: 188, col: 17, offset: 5134},
				run: (*parser).callonSelectObject1,
				expr: &seqExpr{
					pos: position{line: 188, col: 17, offset: 5134},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 188, col: 17, offset: 5134},
							val:        "{",
							ignoreCase: false,
							want:       "\"{\"",
						},
						&ruleRefExpr{
							pos:  position{line: 188, col: 21, offset: 5138},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 188, col: 24, offset: 5141},
							label: "field",
							expr: &ruleRefExpr{
								pos:  position{line: 188, col: 30, offset: 5147},
								name: "SelectObjectField",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 188, col: 48, offset: 5165},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 188, col: 51, offset: 5168},
							label: "other_fields",
							expr: &zeroOrMoreExpr{
								pos: position{line: 188, col: 64, offset: 5181},
								expr: &actionExpr{
									pos: position{line: 188, col: 65, offset: 5182},
									run: (*parser).callonSelectObject10,
									expr: &seqExpr{
										pos: position{line: 188, col: 65, offset: 5182},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 188, col: 65, offset: 5182},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 188, col: 68, offset: 5185},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 188, col: 72, offset: 5189},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 188, col: 75, offset: 5192},
												label: "coll",
												expr: &ruleRefExpr{
													pos:  position{line: 188, col: 80, offset: 5197},
													name: "SelectObjectField",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 188, col: 120, offset: 5237},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 188, col: 123, offset: 5240},
							val:        "}",
							ignoreCase: false,
							want:       "\"}\"",
						},
					},
				},
			},
		},
		{
			name: "SelectObjectField",
			pos:  position{line: 192, col: 1, offset: 5298},
			expr: &actionExpr{
				pos: position{line: 192, col: 22, offset: 5319},
				run: (*parser).callonSelectObjectField1,
				expr: &seqExpr{
					pos: position{line: 192, col: 22, offset: 5319},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 192, col: 22, offset: 5319},
							label: "name",
							expr: &choiceExpr{
								pos: position{line: 192, col: 28, offset: 5325},
								alternatives: []any{
									&ruleRefExpr{
										pos:  position{line: 192, col: 28, offset: 5325},
										name: "Identifier",
									},
									&actionExpr{
										pos: position{line: 192, col: 41, offset: 5338},
										run: (*parser).callonSelectObjectField6,
										expr: &seqExpr{
											pos: position{line: 192, col: 41, offset: 5338},
											exprs: []any{
												&litMatcher{
													pos:        position{line: 192, col: 41, offset: 5338},
													val:        "\"",
													ignoreCase: false,
													want:       "\"\\\"\"",
												},
												&labeledExpr{
													pos:   position{line: 192, col: 46, offset: 5343},
													label: "key",
													expr: &ruleRefExpr{
														pos:  position{line: 192, col: 50, offset: 5347},
														name: "Identifier",
													},
												},
												&litMatcher{
													pos:        position{line: 192, col: 61, offset: 5358},
													val:        "\"",
													ignoreCase: false,
													want:       "\"\\\"\"",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 192, col: 87, offset: 5384},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 192, col: 90, offset: 5387},
							val:        ":",
							ignoreCase: false,
							want:       "\":\"",
						},
						&ruleRefExpr{
							pos:  position{line: 192, col: 94, offset: 5391},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 192, col: 97, offset: 5394},
							label: "selectItem",
							expr: &ruleRefExpr{
								pos:  position{line: 192, col: 108, offset: 5405},
								name: "SelectItem",
							},
						},
					},
				},
			},
		},
		{
			name: "SelectProperty",
			pos:  position{line: 198, col: 1, offset: 5511},
			expr: &actionExpr{
				pos: position{line: 198, col: 19, offset: 5529},
				run: (*parser).callonSelectProperty1,
				expr: &seqExpr{
					pos: position{line: 198, col: 19, offset: 5529},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 198, col: 19, offset: 5529},
							label: "name",
							expr: &ruleRefExpr{
								pos:  position{line: 198, col: 24, offset: 5534},
								name: "Identifier",
							},
						},
						&labeledExpr{
							pos:   position{line: 198, col: 35, offset: 5545},
							label: "path",
							expr: &zeroOrMoreExpr{
								pos: position{line: 198, col: 40, offset: 5550},
								expr: &choiceExpr{
									pos: position{line: 198, col: 41, offset: 5551},
									alternatives: []any{
										&ruleRefExpr{
											pos:  position{line: 198, col: 41, offset: 5551},
											name: "DotFieldAccess",
										},
										&ruleRefExpr{
											pos:  position{line: 198, col: 58, offset: 5568},
											name: "ArrayFieldAccess",
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "SelectItem",
			pos:  position{line: 202, col: 1, offset: 5659},
			expr: &actionExpr{
				pos: position{line: 202, col: 15, offset: 5673},
				run: (*parser).callonSelectItem1,
				expr: &seqExpr{
					pos: position{line: 202, col: 15, offset: 5673},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 202, col: 15, offset: 5673},
							label: "selectItem",
							expr: &choiceExpr{
								pos: position{line: 202, col: 27, offset: 5685},
								alternatives: []any{
									&ruleRefExpr{
										pos:  position{line: 202, col: 27, offset: 5685},
										name: "Literal",
									},
									&ruleRefExpr{
										pos:  position{line: 202, col: 37, offset: 5695},
										name: "FunctionCall",
									},
									&ruleRefExpr{
										pos:  position{line: 202, col: 52, offset: 5710},
										name: "SelectArray",
									},
									&ruleRefExpr{
										pos:  position{line: 202, col: 66, offset: 5724},
										name: "SelectObject",
									},
									&ruleRefExpr{
										pos:  position{line: 202, col: 81, offset: 5739},
										name: "SelectProperty",
									},
								},
							},
						},
						&labeledExpr{
							pos:   position{line: 202, col: 97, offset: 5755},
							label: "asClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 202, col: 106, offset: 5764},
								expr: &ruleRefExpr{
									pos:  position{line: 202, col: 106, offset: 5764},
									name: "AsClause",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "AsClause",
			pos:  position{line: 226, col: 1, offset: 6362},
			expr: &actionExpr{
				pos: position{line: 226, col: 13, offset: 6374},
				run: (*parser).callonAsClause1,
				expr: &seqExpr{
					pos: position{line: 226, col: 13, offset: 6374},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 226, col: 13, offset: 6374},
							name: "ws",
						},
						&ruleRefExpr{
							pos:  position{line: 226, col: 16, offset: 6377},
							name: "As",
						},
						&ruleRefExpr{
							pos:  position{line: 226, col: 19, offset: 6380},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 226, col: 22, offset: 6383},
							label: "alias",
							expr: &ruleRefExpr{
								pos:  position{line: 226, col: 28, offset: 6389},
								name: "Identifier",
							},
						},
					},
				},
			},
		},
		{
			name: "DotFieldAccess",
			pos:  position{line: 228, col: 1, offset: 6423},
			expr: &actionExpr{
				pos: position{line: 228, col: 19, offset: 6441},
				run: (*parser).callonDotFieldAccess1,
				expr: &seqExpr{
					pos: position{line: 228, col: 19, offset: 6441},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 228, col: 19, offset: 6441},
							val:        ".",
							ignoreCase: false,
							want:       "\".\"",
						},
						&labeledExpr{
							pos:   position{line: 228, col: 23, offset: 6445},
							label: "id",
							expr: &ruleRefExpr{
								pos:  position{line: 228, col: 26, offset: 6448},
								name: "Identifier",
							},
						},
					},
				},
			},
		},
		{
			name: "ArrayFieldAccess",
			pos:  position{line: 232, col: 1, offset: 6483},
			expr: &actionExpr{
				pos: position{line: 232, col: 21, offset: 6503},
				run: (*parser).callonArrayFieldAccess1,
				expr: &seqExpr{
					pos: position{line: 232, col: 21, offset: 6503},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 232, col: 21, offset: 6503},
							val:        "[\"",
							ignoreCase: false,
							want:       "\"[\\\"\"",
						},
						&labeledExpr{
							pos:   position{line: 232, col: 27, offset: 6509},
							label: "id",
							expr: &ruleRefExpr{
								pos:  position{line: 232, col: 30, offset: 6512},
								name: "Identifier",
							},
						},
						&litMatcher{
							pos:        position{line: 232, col: 41, offset: 6523},
							val:        "\"]",
							ignoreCase: false,
							want:       "\"\\\"]\"",
						},
					},
				},
			},
		},
		{
			name: "Identifier",
			pos:  position{line: 236, col: 1, offset: 6553},
			expr: &actionExpr{
				pos: position{line: 236, col: 15, offset: 6567},
				run: (*parser).callonIdentifier1,
				expr: &seqExpr{
					pos: position{line: 236, col: 15, offset: 6567},
					exprs: []any{
						&charClassMatcher{
							pos:        position{line: 236, col: 15, offset: 6567},
							val:        "[a-zA-Z_]",
							chars:      []rune{'_'},
							ranges:     []rune{'a', 'z', 'A', 'Z'},
							ignoreCase: false,
							inverted:   false,
						},
						&zeroOrMoreExpr{
							pos: position{line: 236, col: 24, offset: 6576},
							expr: &charClassMatcher{
								pos:        position{line: 236, col: 24, offset: 6576},
								val:        "[a-zA-Z0-9_]",
								chars:      []rune{'_'},
								ranges:     []rune{'a', 'z', 'A', 'Z', '0', '9'},
								ignoreCase: false,
								inverted:   false,
							},
						},
					},
				},
			},
		},
		{
			name: "Condition",
			pos:  position{line: 240, col: 1, offset: 6626},
			expr: &actionExpr{
				pos: position{line: 240, col: 14, offset: 6639},
				run: (*parser).callonCondition1,
				expr: &labeledExpr{
					pos:   position{line: 240, col: 14, offset: 6639},
					label: "expression",
					expr: &ruleRefExpr{
						pos:  position{line: 240, col: 25, offset: 6650},
						name: "OrExpression",
					},
				},
			},
		},
		{
			name: "OrExpression",
			pos:  position{line: 244, col: 1, offset: 6695},
			expr: &actionExpr{
				pos: position{line: 244, col: 17, offset: 6711},
				run: (*parser).callonOrExpression1,
				expr: &seqExpr{
					pos: position{line: 244, col: 17, offset: 6711},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 244, col: 17, offset: 6711},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 244, col: 21, offset: 6715},
								name: "AndExpression",
							},
						},
						&labeledExpr{
							pos:   position{line: 244, col: 35, offset: 6729},
							label: "ex2",
							expr: &zeroOrMoreExpr{
								pos: position{line: 244, col: 39, offset: 6733},
								expr: &actionExpr{
									pos: position{line: 244, col: 40, offset: 6734},
									run: (*parser).callonOrExpression7,
									expr: &seqExpr{
										pos: position{line: 244, col: 40, offset: 6734},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 244, col: 40, offset: 6734},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 244, col: 43, offset: 6737},
												name: "Or",
											},
											&ruleRefExpr{
												pos:  position{line: 244, col: 46, offset: 6740},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 244, col: 49, offset: 6743},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 244, col: 52, offset: 6746},
													name: "AndExpression",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "AndExpression",
			pos:  position{line: 248, col: 1, offset: 6859},
			expr: &actionExpr{
				pos: position{line: 248, col: 18, offset: 6876},
				run: (*parser).callonAndExpression1,
				expr: &seqExpr{
					pos: position{line: 248, col: 18, offset: 6876},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 248, col: 18, offset: 6876},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 248, col: 22, offset: 6880},
								name: "ComparisonExpression",
							},
						},
						&labeledExpr{
							pos:   position{line: 248, col: 43, offset: 6901},
							label: "ex2",
							expr: &zeroOrMoreExpr{
								pos: position{line: 248, col: 47, offset: 6905},
								expr: &actionExpr{
									pos: position{line: 248, col: 48, offset: 6906},
									run: (*parser).callonAndExpression7,
									expr: &seqExpr{
										pos: position{line: 248, col: 48, offset: 6906},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 248, col: 48, offset: 6906},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 248, col: 51, offset: 6909},
												name: "And",
											},
											&ruleRefExpr{
												pos:  position{line: 248, col: 55, offset: 6913},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 248, col: 58, offset: 6916},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 248, col: 61, offset: 6919},
													name: "ComparisonExpression",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "ComparisonExpression",
			pos:  position{line: 252, col: 1, offset: 7040},
			expr: &choiceExpr{
				pos: position{line: 252, col: 25, offset: 7064},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 252, col: 25, offset: 7064},
						run: (*parser).callonComparisonExpression2,
						expr: &seqExpr{
							pos: position{line: 252, col: 25, offset: 7064},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 252, col: 25, offset: 7064},
									val:        "(",
									ignoreCase: false,
									want:       "\"(\"",
								},
								&ruleRefExpr{
									pos:  position{line: 252, col: 29, offset: 7068},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 252, col: 32, offset: 7071},
									label: "ex",
									expr: &ruleRefExpr{
										pos:  position{line: 252, col: 35, offset: 7074},
										name: "OrExpression",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 252, col: 48, offset: 7087},
									name: "ws",
								},
								&litMatcher{
									pos:        position{line: 252, col: 51, offset: 7090},
									val:        ")",
									ignoreCase: false,
									want:       "\")\"",
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 253, col: 7, offset: 7119},
						run: (*parser).callonComparisonExpression10,
						expr: &seqExpr{
							pos: position{line: 253, col: 7, offset: 7119},
							exprs: []any{
								&labeledExpr{
									pos:   position{line: 253, col: 7, offset: 7119},
									label: "left",
									expr: &ruleRefExpr{
										pos:  position{line: 253, col: 12, offset: 7124},
										name: "SelectItem",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 253, col: 23, offset: 7135},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 253, col: 26, offset: 7138},
									label: "op",
									expr: &ruleRefExpr{
										pos:  position{line: 253, col: 29, offset: 7141},
										name: "ComparisonOperator",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 253, col: 48, offset: 7160},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 253, col: 51, offset: 7163},
									label: "right",
									expr: &ruleRefExpr{
										pos:  position{line: 253, col: 57, offset: 7169},
										name: "SelectItem",
									},
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 255, col: 5, offset: 7276},
						run: (*parser).callonComparisonExpression20,
						expr: &labeledExpr{
							pos:   position{line: 255, col: 5, offset: 7276},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 255, col: 8, offset: 7279},
								name: "BooleanLiteral",
							},
						},
					},
					&actionExpr{
						pos: position{line: 256, col: 5, offset: 7317},
						run: (*parser).callonComparisonExpression23,
						expr: &labeledExpr{
							pos:   position{line: 256, col: 5, offset: 7317},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 256, col: 8, offset: 7320},
								name: "SelectItem",
							},
						},
					},
				},
			},
		},
		{
			name: "OrderByClause",
			pos:  position{line: 258, col: 1, offset: 7351},
			expr: &actionExpr{
				pos: position{line: 258, col: 18, offset: 7368},
				run: (*parser).callonOrderByClause1,
				expr: &seqExpr{
					pos: position{line: 258, col: 18, offset: 7368},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 258, col: 18, offset: 7368},
							name: "OrderBy",
						},
						&ruleRefExpr{
							pos:  position{line: 258, col: 26, offset: 7376},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 258, col: 29, offset: 7379},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 258, col: 33, offset: 7383},
								name: "OrderExpression",
							},
						},
						&labeledExpr{
							pos:   position{line: 258, col: 49, offset: 7399},
							label: "others",
							expr: &zeroOrMoreExpr{
								pos: position{line: 258, col: 56, offset: 7406},
								expr: &actionExpr{
									pos: position{line: 258, col: 57, offset: 7407},
									run: (*parser).callonOrderByClause9,
									expr: &seqExpr{
										pos: position{line: 258, col: 57, offset: 7407},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 258, col: 57, offset: 7407},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 258, col: 60, offset: 7410},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 258, col: 64, offset: 7414},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 258, col: 67, offset: 7417},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 258, col: 70, offset: 7420},
													name: "OrderExpression",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "OrderExpression",
			pos:  position{line: 262, col: 1, offset: 7504},
			expr: &actionExpr{
				pos: position{line: 262, col: 20, offset: 7523},
				run: (*parser).callonOrderExpression1,
				expr: &seqExpr{
					pos: position{line: 262, col: 20, offset: 7523},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 262, col: 20, offset: 7523},
							label: "field",
							expr: &ruleRefExpr{
								pos:  position{line: 262, col: 26, offset: 7529},
								name: "SelectProperty",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 262, col: 41, offset: 7544},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 262, col: 44, offset: 7547},
							label: "order",
							expr: &zeroOrOneExpr{
								pos: position{line: 262, col: 50, offset: 7553},
								expr: &ruleRefExpr{
									pos:  position{line: 262, col: 50, offset: 7553},
									name: "OrderDirection",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "OrderDirection",
			pos:  position{line: 266, col: 1, offset: 7619},
			expr: &actionExpr{
				pos: position{line: 266, col: 19, offset: 7637},
				run: (*parser).callonOrderDirection1,
				expr: &choiceExpr{
					pos: position{line: 266, col: 20, offset: 7638},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 266, col: 20, offset: 7638},
							val:        "asc",
							ignoreCase: true,
							want:       "\"ASC\"i",
						},
						&litMatcher{
							pos:        position{line: 266, col: 29, offset: 7647},
							val:        "desc",
							ignoreCase: true,
							want:       "\"DESC\"i",
						},
					},
				},
			},
		},
		{
			name: "Select",
			pos:  position{line: 274, col: 1, offset: 7799},
			expr: &litMatcher{
				pos:        position{line: 274, col: 11, offset: 7809},
				val:        "select",
				ignoreCase: true,
				want:       "\"SELECT\"i",
			},
		},
		{
			name: "Top",
			pos:  position{line: 276, col: 1, offset: 7820},
			expr: &litMatcher{
				pos:        position{line: 276, col: 8, offset: 7827},
				val:        "top",
				ignoreCase: true,
				want:       "\"TOP\"i",
			},
		},
		{
			name: "As",
			pos:  position{line: 278, col: 1, offset: 7835},
			expr: &litMatcher{
				pos:        position{line: 278, col: 7, offset: 7841},
				val:        "as",
				ignoreCase: true,
				want:       "\"AS\"i",
			},
		},
		{
			name: "From",
			pos:  position{line: 280, col: 1, offset: 7848},
			expr: &litMatcher{
				pos:        position{line: 280, col: 9, offset: 7856},
				val:        "from",
				ignoreCase: true,
				want:       "\"FROM\"i",
			},
		},
		{
			name: "Where",
			pos:  position{line: 282, col: 1, offset: 7865},
			expr: &litMatcher{
				pos:        position{line: 282, col: 10, offset: 7874},
				val:        "where",
				ignoreCase: true,
				want:       "\"WHERE\"i",
			},
		},
		{
			name: "And",
			pos:  position{line: 284, col: 1, offset: 7884},
			expr: &litMatcher{
				pos:        position{line: 284, col: 8, offset: 7891},
				val:        "and",
				ignoreCase: true,
				want:       "\"AND\"i",
			},
		},
		{
			name: "Or",
			pos:  position{line: 286, col: 1, offset: 7899},
			expr: &litMatcher{
				pos:        position{line: 286, col: 7, offset: 7905},
				val:        "or",
				ignoreCase: true,
				want:       "\"OR\"i",
			},
		},
		{
			name: "OrderBy",
			pos:  position{line: 288, col: 1, offset: 7912},
			expr: &seqExpr{
				pos: position{line: 288, col: 12, offset: 7923},
				exprs: []any{
					&litMatcher{
						pos:        position{line: 288, col: 12, offset: 7923},
						val:        "order",
						ignoreCase: true,
						want:       "\"ORDER\"i",
					},
					&ruleRefExpr{
						pos:  position{line: 288, col: 21, offset: 7932},
						name: "ws",
					},
					&litMatcher{
						pos:        position{line: 288, col: 24, offset: 7935},
						val:        "by",
						ignoreCase: true,
						want:       "\"BY\"i",
					},
				},
			},
		},
		{
			name: "ComparisonOperator",
			pos:  position{line: 290, col: 1, offset: 7942},
			expr: &actionExpr{
				pos: position{line: 290, col: 23, offset: 7964},
				run: (*parser).callonComparisonOperator1,
				expr: &choiceExpr{
					pos: position{line: 290, col: 24, offset: 7965},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 290, col: 24, offset: 7965},
							val:        "=",
							ignoreCase: false,
							want:       "\"=\"",
						},
						&litMatcher{
							pos:        position{line: 290, col: 30, offset: 7971},
							val:        "!=",
							ignoreCase: false,
							want:       "\"!=\"",
						},
						&litMatcher{
							pos:        position{line: 290, col: 37, offset: 7978},
							val:        "<",
							ignoreCase: false,
							want:       "\"<\"",
						},
						&litMatcher{
							pos:        position{line: 290, col: 43, offset: 7984},
							val:        "<=",
							ignoreCase: false,
							want:       "\"<=\"",
						},
						&litMatcher{
							pos:        position{line: 290, col: 50, offset: 7991},
							val:        ">",
							ignoreCase: false,
							want:       "\">\"",
						},
						&litMatcher{
							pos:        position{line: 290, col: 56, offset: 7997},
							val:        ">=",
							ignoreCase: false,
							want:       "\">=\"",
						},
					},
				},
			},
		},
		{
			name: "Literal",
			pos:  position{line: 294, col: 1, offset: 8039},
			expr: &choiceExpr{
				pos: position{line: 294, col: 12, offset: 8050},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 294, col: 12, offset: 8050},
						name: "FloatLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 294, col: 27, offset: 8065},
						name: "IntegerLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 294, col: 44, offset: 8082},
						name: "StringLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 294, col: 60, offset: 8098},
						name: "BooleanLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 294, col: 77, offset: 8115},
						name: "ParameterConstant",
					},
					&ruleRefExpr{
						pos:  position{line: 294, col: 97, offset: 8135},
						name: "NullConstant",
					},
				},
			},
		},
		{
			name: "ParameterConstant",
			pos:  position{line: 296, col: 1, offset: 8149},
			expr: &actionExpr{
				pos: position{line: 296, col: 22, offset: 8170},
				run: (*parser).callonParameterConstant1,
				expr: &seqExpr{
					pos: position{line: 296, col: 22, offset: 8170},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 296, col: 22, offset: 8170},
							val:        "@",
							ignoreCase: false,
							want:       "\"@\"",
						},
						&ruleRefExpr{
							pos:  position{line: 296, col: 26, offset: 8174},
							name: "Identifier",
						},
					},
				},
			},
		},
		{
			name: "NullConstant",
			pos:  position{line: 299, col: 1, offset: 8290},
			expr: &actionExpr{
				pos: position{line: 299, col: 17, offset: 8306},
				run: (*parser).callonNullConstant1,
				expr: &litMatcher{
					pos:        position{line: 299, col: 17, offset: 8306},
					val:        "null",
					ignoreCase: true,
					want:       "\"null\"i",
				},
			},
		},
		{
			name: "IntegerLiteral",
			pos:  position{line: 303, col: 1, offset: 8364},
			expr: &actionExpr{
				pos: position{line: 303, col: 19, offset: 8382},
				run: (*parser).callonIntegerLiteral1,
				expr: &labeledExpr{
					pos:   position{line: 303, col: 19, offset: 8382},
					label: "number",
					expr: &ruleRefExpr{
						pos:  position{line: 303, col: 26, offset: 8389},
						name: "Integer",
					},
				},
			},
		},
		{
			name: "StringLiteral",
			pos:  position{line: 306, col: 1, offset: 8490},
			expr: &actionExpr{
				pos: position{line: 306, col: 18, offset: 8507},
				run: (*parser).callonStringLiteral1,
				expr: &seqExpr{
					pos: position{line: 306, col: 18, offset: 8507},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 306, col: 18, offset: 8507},
							val:        "\"",
							ignoreCase: false,
							want:       "\"\\\"\"",
						},
						&labeledExpr{
							pos:   position{line: 306, col: 23, offset: 8512},
							label: "chars",
							expr: &zeroOrMoreExpr{
								pos: position{line: 306, col: 29, offset: 8518},
								expr: &ruleRefExpr{
									pos:  position{line: 306, col: 29, offset: 8518},
									name: "StringCharacter",
								},
							},
						},
						&litMatcher{
							pos:        position{line: 306, col: 46, offset: 8535},
							val:        "\"",
							ignoreCase: false,
							want:       "\"\\\"\"",
						},
					},
				},
			},
		},
		{
			name: "FloatLiteral",
			pos:  position{line: 309, col: 1, offset: 8653},
			expr: &actionExpr{
				pos: position{line: 309, col: 17, offset: 8669},
				run: (*parser).callonFloatLiteral1,
				expr: &seqExpr{
					pos: position{line: 309, col: 17, offset: 8669},
					exprs: []any{
						&oneOrMoreExpr{
							pos: position{line: 309, col: 17, offset: 8669},
							expr: &charClassMatcher{
								pos:        position{line: 309, col: 17, offset: 8669},
								val:        "[0-9]",
								ranges:     []rune{'0', '9'},
								ignoreCase: false,
								inverted:   false,
							},
						},
						&litMatcher{
							pos:        position{line: 309, col: 23, offset: 8675},
							val:        ".",
							ignoreCase: false,
							want:       "\".\"",
						},
						&oneOrMoreExpr{
							pos: position{line: 309, col: 26, offset: 8678},
							expr: &charClassMatcher{
								pos:        position{line: 309, col: 26, offset: 8678},
								val:        "[0-9]",
								ranges:     []rune{'0', '9'},
								ignoreCase: false,
								inverted:   false,
							},
						},
					},
				},
			},
		},
		{
			name: "BooleanLiteral",
			pos:  position{line: 313, col: 1, offset: 8834},
			expr: &actionExpr{
				pos: position{line: 313, col: 19, offset: 8852},
				run: (*parser).callonBooleanLiteral1,
				expr: &choiceExpr{
					pos: position{line: 313, col: 20, offset: 8853},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 313, col: 20, offset: 8853},
							val:        "true",
							ignoreCase: true,
							want:       "\"true\"i",
						},
						&litMatcher{
							pos:        position{line: 313, col: 30, offset: 8863},
							val:        "false",
							ignoreCase: true,
							want:       "\"false\"i",
						},
					},
				},
			},
		},
		{
			name: "FunctionCall",
			pos:  position{line: 318, col: 1, offset: 9018},
			expr: &choiceExpr{
				pos: position{line: 318, col: 17, offset: 9034},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 318, col: 17, offset: 9034},
						name: "StringFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 319, col: 7, offset: 9056},
						name: "TypeCheckingFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 320, col: 7, offset: 9084},
						name: "ArrayFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 321, col: 7, offset: 9105},
						name: "InFunction",
					},
				},
			},
		},
		{
			name: "StringFunctions",
			pos:  position{line: 323, col: 1, offset: 9117},
			expr: &choiceExpr{
				pos: position{line: 323, col: 20, offset: 9136},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 323, col: 20, offset: 9136},
						name: "StringEqualsExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 324, col: 7, offset: 9165},
						name: "ToStringExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 325, col: 7, offset: 9190},
						name: "ConcatExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 326, col: 7, offset: 9213},
						name: "ThreeArgumentStringFunctionExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 327, col: 7, offset: 9257},
						name: "UpperExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 328, col: 7, offset: 9279},
						name: "LowerExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 329, col: 7, offset: 9301},
						name: "LeftExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 330, col: 7, offset: 9322},
						name: "LengthExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 331, col: 7, offset: 9345},
						name: "LTrimExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 332, col: 7, offset: 9367},
						name: "ReplaceExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 333, col: 7, offset: 9391},
						name: "ReplicateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 334, col: 7, offset: 9417},
						name: "ReverseExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 335, col: 7, offset: 9441},
						name: "RightExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 336, col: 7, offset: 9463},
						name: "RTrimExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 337, col: 7, offset: 9485},
						name: "SubstringExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 338, col: 7, offset: 9511},
						name: "TrimExpression",
					},
				},
			},
		},
		{
			name: "TypeCheckingFunctions",
			pos:  position{line: 340, col: 1, offset: 9527},
			expr: &choiceExpr{
				pos: position{line: 340, col: 26, offset: 9552},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 340, col: 26, offset: 9552},
						name: "IsDefined",
					},
					&ruleRefExpr{
						pos:  position{line: 341, col: 7, offset: 9568},
						name: "IsArray",
					},
					&ruleRefExpr{
						pos:  position{line: 342, col: 7, offset: 9582},
						name: "IsBool",
					},
					&ruleRefExpr{
						pos:  position{line: 343, col: 7, offset: 9595},
						name: "IsFiniteNumber",
					},
					&ruleRefExpr{
						pos:  position{line: 344, col: 7, offset: 9616},
						name: "IsInteger",
					},
					&ruleRefExpr{
						pos:  position{line: 345, col: 7, offset: 9632},
						name: "IsNull",
					},
					&ruleRefExpr{
						pos:  position{line: 346, col: 7, offset: 9645},
						name: "IsNumber",
					},
					&ruleRefExpr{
						pos:  position{line: 347, col: 7, offset: 9660},
						name: "IsObject",
					},
					&ruleRefExpr{
						pos:  position{line: 348, col: 7, offset: 9675},
						name: "IsPrimitive",
					},
					&ruleRefExpr{
						pos:  position{line: 349, col: 7, offset: 9693},
						name: "IsString",
					},
				},
			},
		},
		{
			name: "ArrayFunctions",
			pos:  position{line: 351, col: 1, offset: 9703},
			expr: &choiceExpr{
				pos: position{line: 351, col: 19, offset: 9721},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 351, col: 19, offset: 9721},
						name: "ArrayConcatExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 352, col: 7, offset: 9749},
						name: "ArrayLengthExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 353, col: 7, offset: 9777},
						name: "ArraySliceExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 354, col: 7, offset: 9804},
						name: "SetIntersectExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 355, col: 7, offset: 9833},
						name: "SetUnionExpression",
					},
				},
			},
		},
		{
			name: "UpperExpression",
			pos:  position{line: 357, col: 1, offset: 9853},
			expr: &actionExpr{
				pos: position{line: 357, col: 20, offset: 9872},
				run: (*parser).callonUpperExpression1,
				expr: &seqExpr{
					pos: position{line: 357, col: 20, offset: 9872},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 357, col: 20, offset: 9872},
							val:        "upper",
							ignoreCase: true,
							want:       "\"UPPER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 357, col: 29, offset: 9881},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 357, col: 32, offset: 9884},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&labeledExpr{
							pos:   position{line: 357, col: 36, offset: 9888},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 357, col: 39, offset: 9891},
								name: "SelectItem",
							},
						},
						&litMatcher{
							pos:        position{line: 357, col: 50, offset: 9902},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LowerExpression",
			pos:  position{line: 361, col: 1, offset: 9987},
			expr: &actionExpr{
				pos: position{line: 361, col: 20, offset: 10006},
				run: (*parser).callonLowerExpression1,
				expr: &seqExpr{
					pos: position{line: 361, col: 20, offset: 10006},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 361, col: 20, offset: 10006},
							val:        "lower",
							ignoreCase: true,
							want:       "\"LOWER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 361, col: 29, offset: 10015},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 361, col: 32, offset: 10018},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&labeledExpr{
							pos:   position{line: 361, col: 36, offset: 10022},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 361, col: 39, offset: 10025},
								name: "SelectItem",
							},
						},
						&litMatcher{
							pos:        position{line: 361, col: 50, offset: 10036},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "StringEqualsExpression",
			pos:  position{line: 365, col: 1, offset: 10121},
			expr: &actionExpr{
				pos: position{line: 365, col: 27, offset: 10147},
				run: (*parser).callonStringEqualsExpression1,
				expr: &seqExpr{
					pos: position{line: 365, col: 27, offset: 10147},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 365, col: 27, offset: 10147},
							val:        "stringequals",
							ignoreCase: true,
							want:       "\"STRINGEQUALS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 365, col: 43, offset: 10163},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 365, col: 46, offset: 10166},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 365, col: 50, offset: 10170},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 365, col: 53, offset: 10173},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 365, col: 57, offset: 10177},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 365, col: 68, offset: 10188},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 365, col: 71, offset: 10191},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 365, col: 75, offset: 10195},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 365, col: 78, offset: 10198},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 365, col: 82, offset: 10202},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 365, col: 93, offset: 10213},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 365, col: 96, offset: 10216},
							label: "ignoreCase",
							expr: &zeroOrOneExpr{
								pos: position{line: 365, col: 107, offset: 10227},
								expr: &actionExpr{
									pos: position{line: 365, col: 108, offset: 10228},
									run: (*parser).callonStringEqualsExpression17,
									expr: &seqExpr{
										pos: position{line: 365, col: 108, offset: 10228},
										exprs: []any{
											&litMatcher{
												pos:        position{line: 365, col: 108, offset: 10228},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 365, col: 112, offset: 10232},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 365, col: 115, offset: 10235},
												label: "boolean",
												expr: &ruleRefExpr{
													pos:  position{line: 365, col: 123, offset: 10243},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&litMatcher{
							pos:        position{line: 365, col: 160, offset: 10280},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ToStringExpression",
			pos:  position{line: 369, col: 1, offset: 10390},
			expr: &actionExpr{
				pos: position{line: 369, col: 23, offset: 10412},
				run: (*parser).callonToStringExpression1,
				expr: &seqExpr{
					pos: position{line: 369, col: 23, offset: 10412},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 369, col: 23, offset: 10412},
							val:        "tostring",
							ignoreCase: true,
							want:       "\"TOSTRING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 369, col: 35, offset: 10424},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 369, col: 38, offset: 10427},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 369, col: 42, offset: 10431},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 369, col: 45, offset: 10434},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 369, col: 48, offset: 10437},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 369, col: 59, offset: 10448},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 369, col: 62, offset: 10451},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ConcatExpression",
			pos:  position{line: 373, col: 1, offset: 10539},
			expr: &actionExpr{
				pos: position{line: 373, col: 21, offset: 10559},
				run: (*parser).callonConcatExpression1,
				expr: &seqExpr{
					pos: position{line: 373, col: 21, offset: 10559},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 373, col: 21, offset: 10559},
							val:        "concat",
							ignoreCase: true,
							want:       "\"CONCAT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 373, col: 31, offset: 10569},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 373, col: 34, offset: 10572},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 373, col: 38, offset: 10576},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 373, col: 41, offset: 10579},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 373, col: 45, offset: 10583},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 373, col: 56, offset: 10594},
							label: "others",
							expr: &oneOrMoreExpr{
								pos: position{line: 373, col: 63, offset: 10601},
								expr: &actionExpr{
									pos: position{line: 373, col: 64, offset: 10602},
									run: (*parser).callonConcatExpression11,
									expr: &seqExpr{
										pos: position{line: 373, col: 64, offset: 10602},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 373, col: 64, offset: 10602},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 373, col: 67, offset: 10605},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 373, col: 71, offset: 10609},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 373, col: 74, offset: 10612},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 373, col: 77, offset: 10615},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 373, col: 109, offset: 10647},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 373, col: 112, offset: 10650},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LeftExpression",
			pos:  position{line: 378, col: 1, offset: 10799},
			expr: &actionExpr{
				pos: position{line: 378, col: 19, offset: 10817},
				run: (*parser).callonLeftExpression1,
				expr: &seqExpr{
					pos: position{line: 378, col: 19, offset: 10817},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 378, col: 19, offset: 10817},
							val:        "left",
							ignoreCase: true,
							want:       "\"LEFT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 378, col: 27, offset: 10825},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 378, col: 30, offset: 10828},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 378, col: 34, offset: 10832},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 378, col: 37, offset: 10835},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 378, col: 40, offset: 10838},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 378, col: 51, offset: 10849},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 378, col: 54, offset: 10852},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 378, col: 58, offset: 10856},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 378, col: 61, offset: 10859},
							label: "length",
							expr: &ruleRefExpr{
								pos:  position{line: 378, col: 68, offset: 10866},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 378, col: 79, offset: 10877},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 378, col: 82, offset: 10880},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LengthExpression",
			pos:  position{line: 382, col: 1, offset: 10972},
			expr: &actionExpr{
				pos: position{line: 382, col: 21, offset: 10992},
				run: (*parser).callonLengthExpression1,
				expr: &seqExpr{
					pos: position{line: 382, col: 21, offset: 10992},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 382, col: 21, offset: 10992},
							val:        "length",
							ignoreCase: true,
							want:       "\"LENGTH\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 382, col: 31, offset: 11002},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 382, col: 34, offset: 11005},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 382, col: 38, offset: 11009},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 382, col: 41, offset: 11012},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 382, col: 44, offset: 11015},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 382, col: 55, offset: 11026},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 382, col: 58, offset: 11029},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LTrimExpression",
			pos:  position{line: 386, col: 1, offset: 11115},
			expr: &actionExpr{
				pos: position{line: 386, col: 20, offset: 11134},
				run: (*parser).callonLTrimExpression1,
				expr: &seqExpr{
					pos: position{line: 386, col: 20, offset: 11134},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 386, col: 20, offset: 11134},
							val:        "ltrim",
							ignoreCase: true,
							want:       "\"LTRIM\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 386, col: 29, offset: 11143},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 386, col: 32, offset: 11146},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 386, col: 36, offset: 11150},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 386, col: 39, offset: 11153},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 386, col: 42, offset: 11156},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 386, col: 53, offset: 11167},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 386, col: 56, offset: 11170},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ReplaceExpression",
			pos:  position{line: 390, col: 1, offset: 11255},
			expr: &actionExpr{
				pos: position{line: 390, col: 22, offset: 11276},
				run: (*parser).callonReplaceExpression1,
				expr: &seqExpr{
					pos: position{line: 390, col: 22, offset: 11276},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 390, col: 22, offset: 11276},
							val:        "replace",
							ignoreCase: true,
							want:       "\"REPLACE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 390, col: 33, offset: 11287},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 390, col: 36, offset: 11290},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 390, col: 40, offset: 11294},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 390, col: 43, offset: 11297},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 390, col: 47, offset: 11301},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 390, col: 58, offset: 11312},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 390, col: 61, offset: 11315},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 390, col: 65, offset: 11319},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 390, col: 68, offset: 11322},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 390, col: 72, offset: 11326},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 390, col: 83, offset: 11337},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 390, col: 86, offset: 11340},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 390, col: 90, offset: 11344},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 390, col: 93, offset: 11347},
							label: "ex3",
							expr: &ruleRefExpr{
								pos:  position{line: 390, col: 97, offset: 11351},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 390, col: 108, offset: 11362},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 390, col: 111, offset: 11365},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ReplicateExpression",
			pos:  position{line: 394, col: 1, offset: 11463},
			expr: &actionExpr{
				pos: position{line: 394, col: 24, offset: 11486},
				run: (*parser).callonReplicateExpression1,
				expr: &seqExpr{
					pos: position{line: 394, col: 24, offset: 11486},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 394, col: 24, offset: 11486},
							val:        "replicate",
							ignoreCase: true,
							want:       "\"REPLICATE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 394, col: 37, offset: 11499},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 394, col: 40, offset: 11502},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 394, col: 44, offset: 11506},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 394, col: 47, offset: 11509},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 394, col: 51, offset: 11513},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 394, col: 62, offset: 11524},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 394, col: 65, offset: 11527},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 394, col: 69, offset: 11531},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 394, col: 72, offset: 11534},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 394, col: 76, offset: 11538},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 394, col: 87, offset: 11549},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 394, col: 90, offset: 11552},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ReverseExpression",
			pos:  position{line: 398, col: 1, offset: 11647},
			expr: &actionExpr{
				pos: position{line: 398, col: 22, offset: 11668},
				run: (*parser).callonReverseExpression1,
				expr: &seqExpr{
					pos: position{line: 398, col: 22, offset: 11668},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 398, col: 22, offset: 11668},
							val:        "reverse",
							ignoreCase: true,
							want:       "\"REVERSE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 398, col: 33, offset: 11679},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 398, col: 36, offset: 11682},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 398, col: 40, offset: 11686},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 398, col: 43, offset: 11689},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 398, col: 46, offset: 11692},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 398, col: 57, offset: 11703},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 398, col: 60, offset: 11706},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "RightExpression",
			pos:  position{line: 402, col: 1, offset: 11793},
			expr: &actionExpr{
				pos: position{line: 402, col: 20, offset: 11812},
				run: (*parser).callonRightExpression1,
				expr: &seqExpr{
					pos: position{line: 402, col: 20, offset: 11812},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 402, col: 20, offset: 11812},
							val:        "right",
							ignoreCase: true,
							want:       "\"RIGHT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 402, col: 29, offset: 11821},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 402, col: 32, offset: 11824},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 402, col: 36, offset: 11828},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 402, col: 39, offset: 11831},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 402, col: 42, offset: 11834},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 402, col: 53, offset: 11845},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 402, col: 56, offset: 11848},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 402, col: 60, offset: 11852},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 402, col: 63, offset: 11855},
							label: "length",
							expr: &ruleRefExpr{
								pos:  position{line: 402, col: 70, offset: 11862},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 402, col: 81, offset: 11873},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 402, col: 84, offset: 11876},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "RTrimExpression",
			pos:  position{line: 406, col: 1, offset: 11969},
			expr: &actionExpr{
				pos: position{line: 406, col: 20, offset: 11988},
				run: (*parser).callonRTrimExpression1,
				expr: &seqExpr{
					pos: position{line: 406, col: 20, offset: 11988},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 406, col: 20, offset: 11988},
							val:        "rtrim",
							ignoreCase: true,
							want:       "\"RTRIM\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 406, col: 29, offset: 11997},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 406, col: 32, offset: 12000},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 406, col: 36, offset: 12004},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 406, col: 39, offset: 12007},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 406, col: 42, offset: 12010},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 406, col: 53, offset: 12021},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 406, col: 56, offset: 12024},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SubstringExpression",
			pos:  position{line: 410, col: 1, offset: 12109},
			expr: &actionExpr{
				pos: position{line: 410, col: 24, offset: 12132},
				run: (*parser).callonSubstringExpression1,
				expr: &seqExpr{
					pos: position{line: 410, col: 24, offset: 12132},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 410, col: 24, offset: 12132},
							val:        "substring",
							ignoreCase: true,
							want:       "\"SUBSTRING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 410, col: 37, offset: 12145},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 410, col: 40, offset: 12148},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 410, col: 44, offset: 12152},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 410, col: 47, offset: 12155},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 410, col: 50, offset: 12158},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 410, col: 61, offset: 12169},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 410, col: 64, offset: 12172},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 410, col: 68, offset: 12176},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 410, col: 71, offset: 12179},
							label: "startPos",
							expr: &ruleRefExpr{
								pos:  position{line: 410, col: 80, offset: 12188},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 410, col: 91, offset: 12199},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 410, col: 94, offset: 12202},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 410, col: 98, offset: 12206},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 410, col: 101, offset: 12209},
							label: "length",
							expr: &ruleRefExpr{
								pos:  position{line: 410, col: 108, offset: 12216},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 410, col: 119, offset: 12227},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 410, col: 122, offset: 12230},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "TrimExpression",
			pos:  position{line: 414, col: 1, offset: 12337},
			expr: &actionExpr{
				pos: position{line: 414, col: 19, offset: 12355},
				run: (*parser).callonTrimExpression1,
				expr: &seqExpr{
					pos: position{line: 414, col: 19, offset: 12355},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 414, col: 19, offset: 12355},
							val:        "trim",
							ignoreCase: true,
							want:       "\"TRIM\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 414, col: 27, offset: 12363},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 414, col: 30, offset: 12366},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 414, col: 34, offset: 12370},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 414, col: 37, offset: 12373},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 414, col: 40, offset: 12376},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 414, col: 51, offset: 12387},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 414, col: 54, offset: 12390},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ThreeArgumentStringFunctionExpression",
			pos:  position{line: 418, col: 1, offset: 12474},
			expr: &actionExpr{
				pos: position{line: 418, col: 42, offset: 12515},
				run: (*parser).callonThreeArgumentStringFunctionExpression1,
				expr: &seqExpr{
					pos: position{line: 418, col: 42, offset: 12515},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 418, col: 42, offset: 12515},
							label: "function",
							expr: &ruleRefExpr{
								pos:  position{line: 418, col: 51, offset: 12524},
								name: "ThreeArgumentStringFunction",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 418, col: 79, offset: 12552},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 418, col: 82, offset: 12555},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 418, col: 86, offset: 12559},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 418, col: 89, offset: 12562},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 418, col: 93, offset: 12566},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 418, col: 104, offset: 12577},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 418, col: 107, offset: 12580},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 418, col: 111, offset: 12584},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 418, col: 114, offset: 12587},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 418, col: 118, offset: 12591},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 418, col: 129, offset: 12602},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 418, col: 132, offset: 12605},
							label: "ignoreCase",
							expr: &zeroOrOneExpr{
								pos: position{line: 418, col: 143, offset: 12616},
								expr: &actionExpr{
									pos: position{line: 418, col: 144, offset: 12617},
									run: (*parser).callonThreeArgumentStringFunctionExpression18,
									expr: &seqExpr{
										pos: position{line: 418, col: 144, offset: 12617},
										exprs: []any{
											&litMatcher{
												pos:        position{line: 418, col: 144, offset: 12617},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 418, col: 148, offset: 12621},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 418, col: 151, offset: 12624},
												label: "boolean",
												expr: &ruleRefExpr{
													pos:  position{line: 418, col: 159, offset: 12632},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&litMatcher{
							pos:        position{line: 418, col: 196, offset: 12669},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ThreeArgumentStringFunction",
			pos:  position{line: 436, col: 1, offset: 13191},
			expr: &actionExpr{
				pos: position{line: 436, col: 32, offset: 13222},
				run: (*parser).callonThreeArgumentStringFunction1,
				expr: &choiceExpr{
					pos: position{line: 436, col: 33, offset: 13223},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 436, col: 33, offset: 13223},
							val:        "contains",
							ignoreCase: true,
							want:       "\"CONTAINS\"i",
						},
						&litMatcher{
							pos:        position{line: 436, col: 47, offset: 13237},
							val:        "endswith",
							ignoreCase: true,
							want:       "\"ENDSWITH\"i",
						},
						&litMatcher{
							pos:        position{line: 436, col: 61, offset: 13251},
							val:        "startswith",
							ignoreCase: true,
							want:       "\"STARTSWITH\"i",
						},
						&litMatcher{
							pos:        position{line: 436, col: 77, offset: 13267},
							val:        "index_of",
							ignoreCase: true,
							want:       "\"INDEX_OF\"i",
						},
					},
				},
			},
		},
		{
			name: "IsDefined",
			pos:  position{line: 440, col: 1, offset: 13316},
			expr: &actionExpr{
				pos: position{line: 440, col: 14, offset: 13329},
				run: (*parser).callonIsDefined1,
				expr: &seqExpr{
					pos: position{line: 440, col: 14, offset: 13329},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 440, col: 14, offset: 13329},
							val:        "is_defined",
							ignoreCase: true,
							want:       "\"IS_DEFINED\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 440, col: 28, offset: 13343},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 440, col: 31, offset: 13346},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 440, col: 35, offset: 13350},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 440, col: 38, offset: 13353},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 440, col: 41, offset: 13356},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 440, col: 52, offset: 13367},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 440, col: 55, offset: 13370},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsArray",
			pos:  position{line: 444, col: 1, offset: 13459},
			expr: &actionExpr{
				pos: position{line: 444, col: 12, offset: 13470},
				run: (*parser).callonIsArray1,
				expr: &seqExpr{
					pos: position{line: 444, col: 12, offset: 13470},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 444, col: 12, offset: 13470},
							val:        "is_array",
							ignoreCase: true,
							want:       "\"IS_ARRAY\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 444, col: 24, offset: 13482},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 444, col: 27, offset: 13485},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 444, col: 31, offset: 13489},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 444, col: 34, offset: 13492},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 444, col: 37, offset: 13495},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 444, col: 48, offset: 13506},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 444, col: 51, offset: 13509},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsBool",
			pos:  position{line: 448, col: 1, offset: 13596},
			expr: &actionExpr{
				pos: position{line: 448, col: 11, offset: 13606},
				run: (*parser).callonIsBool1,
				expr: &seqExpr{
					pos: position{line: 448, col: 11, offset: 13606},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 448, col: 11, offset: 13606},
							val:        "is_bool",
							ignoreCase: true,
							want:       "\"IS_BOOL\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 448, col: 22, offset: 13617},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 448, col: 25, offset: 13620},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 448, col: 29, offset: 13624},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 448, col: 32, offset: 13627},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 448, col: 35, offset: 13630},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 448, col: 46, offset: 13641},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 448, col: 49, offset: 13644},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsFiniteNumber",
			pos:  position{line: 452, col: 1, offset: 13730},
			expr: &actionExpr{
				pos: position{line: 452, col: 19, offset: 13748},
				run: (*parser).callonIsFiniteNumber1,
				expr: &seqExpr{
					pos: position{line: 452, col: 19, offset: 13748},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 452, col: 19, offset: 13748},
							val:        "is_finite_number",
							ignoreCase: true,
							want:       "\"IS_FINITE_NUMBER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 452, col: 39, offset: 13768},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 452, col: 42, offset: 13771},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 452, col: 46, offset: 13775},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 452, col: 49, offset: 13778},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 452, col: 52, offset: 13781},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 452, col: 63, offset: 13792},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 452, col: 66, offset: 13795},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsInteger",
			pos:  position{line: 456, col: 1, offset: 13889},
			expr: &actionExpr{
				pos: position{line: 456, col: 14, offset: 13902},
				run: (*parser).callonIsInteger1,
				expr: &seqExpr{
					pos: position{line: 456, col: 14, offset: 13902},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 456, col: 14, offset: 13902},
							val:        "is_integer",
							ignoreCase: true,
							want:       "\"IS_INTEGER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 456, col: 28, offset: 13916},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 456, col: 31, offset: 13919},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 456, col: 35, offset: 13923},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 456, col: 38, offset: 13926},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 456, col: 41, offset: 13929},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 456, col: 52, offset: 13940},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 456, col: 55, offset: 13943},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsNull",
			pos:  position{line: 460, col: 1, offset: 14032},
			expr: &actionExpr{
				pos: position{line: 460, col: 11, offset: 14042},
				run: (*parser).callonIsNull1,
				expr: &seqExpr{
					pos: position{line: 460, col: 11, offset: 14042},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 460, col: 11, offset: 14042},
							val:        "is_null",
							ignoreCase: true,
							want:       "\"IS_NULL\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 460, col: 22, offset: 14053},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 460, col: 25, offset: 14056},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 460, col: 29, offset: 14060},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 460, col: 32, offset: 14063},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 460, col: 35, offset: 14066},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 460, col: 46, offset: 14077},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 460, col: 49, offset: 14080},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsNumber",
			pos:  position{line: 464, col: 1, offset: 14166},
			expr: &actionExpr{
				pos: position{line: 464, col: 13, offset: 14178},
				run: (*parser).callonIsNumber1,
				expr: &seqExpr{
					pos: position{line: 464, col: 13, offset: 14178},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 464, col: 13, offset: 14178},
							val:        "is_number",
							ignoreCase: true,
							want:       "\"IS_NUMBER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 464, col: 26, offset: 14191},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 464, col: 29, offset: 14194},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 464, col: 33, offset: 14198},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 464, col: 36, offset: 14201},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 464, col: 39, offset: 14204},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 464, col: 50, offset: 14215},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 464, col: 53, offset: 14218},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsObject",
			pos:  position{line: 468, col: 1, offset: 14306},
			expr: &actionExpr{
				pos: position{line: 468, col: 13, offset: 14318},
				run: (*parser).callonIsObject1,
				expr: &seqExpr{
					pos: position{line: 468, col: 13, offset: 14318},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 468, col: 13, offset: 14318},
							val:        "is_object",
							ignoreCase: true,
							want:       "\"IS_OBJECT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 468, col: 26, offset: 14331},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 468, col: 29, offset: 14334},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 468, col: 33, offset: 14338},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 468, col: 36, offset: 14341},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 468, col: 39, offset: 14344},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 468, col: 50, offset: 14355},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 468, col: 53, offset: 14358},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsPrimitive",
			pos:  position{line: 472, col: 1, offset: 14446},
			expr: &actionExpr{
				pos: position{line: 472, col: 16, offset: 14461},
				run: (*parser).callonIsPrimitive1,
				expr: &seqExpr{
					pos: position{line: 472, col: 16, offset: 14461},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 472, col: 16, offset: 14461},
							val:        "is_primitive",
							ignoreCase: true,
							want:       "\"IS_PRIMITIVE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 472, col: 32, offset: 14477},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 472, col: 35, offset: 14480},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 472, col: 39, offset: 14484},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 472, col: 42, offset: 14487},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 472, col: 45, offset: 14490},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 472, col: 56, offset: 14501},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 472, col: 59, offset: 14504},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsString",
			pos:  position{line: 476, col: 1, offset: 14595},
			expr: &actionExpr{
				pos: position{line: 476, col: 13, offset: 14607},
				run: (*parser).callonIsString1,
				expr: &seqExpr{
					pos: position{line: 476, col: 13, offset: 14607},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 476, col: 13, offset: 14607},
							val:        "is_string",
							ignoreCase: true,
							want:       "\"IS_STRING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 476, col: 26, offset: 14620},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 476, col: 29, offset: 14623},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 476, col: 33, offset: 14627},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 476, col: 36, offset: 14630},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 476, col: 39, offset: 14633},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 476, col: 50, offset: 14644},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 476, col: 53, offset: 14647},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayConcatExpression",
			pos:  position{line: 480, col: 1, offset: 14735},
			expr: &actionExpr{
				pos: position{line: 480, col: 26, offset: 14760},
				run: (*parser).callonArrayConcatExpression1,
				expr: &seqExpr{
					pos: position{line: 480, col: 26, offset: 14760},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 480, col: 26, offset: 14760},
							val:        "array_concat",
							ignoreCase: true,
							want:       "\"ARRAY_CONCAT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 480, col: 42, offset: 14776},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 480, col: 45, offset: 14779},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 480, col: 49, offset: 14783},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 480, col: 52, offset: 14786},
							label: "arrays",
							expr: &ruleRefExpr{
								pos:  position{line: 480, col: 59, offset: 14793},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 480, col: 70, offset: 14804},
							label: "others",
							expr: &oneOrMoreExpr{
								pos: position{line: 480, col: 77, offset: 14811},
								expr: &actionExpr{
									pos: position{line: 480, col: 78, offset: 14812},
									run: (*parser).callonArrayConcatExpression11,
									expr: &seqExpr{
										pos: position{line: 480, col: 78, offset: 14812},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 480, col: 78, offset: 14812},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 480, col: 81, offset: 14815},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 480, col: 85, offset: 14819},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 480, col: 88, offset: 14822},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 480, col: 91, offset: 14825},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 480, col: 123, offset: 14857},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 480, col: 126, offset: 14860},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayLengthExpression",
			pos:  position{line: 484, col: 1, offset: 14990},
			expr: &actionExpr{
				pos: position{line: 484, col: 26, offset: 15015},
				run: (*parser).callonArrayLengthExpression1,
				expr: &seqExpr{
					pos: position{line: 484, col: 26, offset: 15015},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 484, col: 26, offset: 15015},
							val:        "array_length",
							ignoreCase: true,
							want:       "\"ARRAY_LENGTH\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 484, col: 42, offset: 15031},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 484, col: 45, offset: 15034},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 484, col: 49, offset: 15038},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 484, col: 52, offset: 15041},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 484, col: 58, offset: 15047},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 484, col: 69, offset: 15058},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 484, col: 72, offset: 15061},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArraySliceExpression",
			pos:  position{line: 488, col: 1, offset: 15155},
			expr: &actionExpr{
				pos: position{line: 488, col: 25, offset: 15179},
				run: (*parser).callonArraySliceExpression1,
				expr: &seqExpr{
					pos: position{line: 488, col: 25, offset: 15179},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 488, col: 25, offset: 15179},
							val:        "array_slice",
							ignoreCase: true,
							want:       "\"ARRAY_SLICE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 488, col: 40, offset: 15194},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 488, col: 43, offset: 15197},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 488, col: 47, offset: 15201},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 488, col: 50, offset: 15204},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 488, col: 56, offset: 15210},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 488, col: 67, offset: 15221},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 488, col: 70, offset: 15224},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 488, col: 74, offset: 15228},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 488, col: 77, offset: 15231},
							label: "start",
							expr: &ruleRefExpr{
								pos:  position{line: 488, col: 83, offset: 15237},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 488, col: 94, offset: 15248},
							label: "length",
							expr: &zeroOrOneExpr{
								pos: position{line: 488, col: 101, offset: 15255},
								expr: &actionExpr{
									pos: position{line: 488, col: 102, offset: 15256},
									run: (*parser).callonArraySliceExpression16,
									expr: &seqExpr{
										pos: position{line: 488, col: 102, offset: 15256},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 488, col: 102, offset: 15256},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 488, col: 105, offset: 15259},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 488, col: 109, offset: 15263},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 488, col: 112, offset: 15266},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 488, col: 115, offset: 15269},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 488, col: 147, offset: 15301},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 488, col: 150, offset: 15304},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SetIntersectExpression",
			pos:  position{line: 492, col: 1, offset: 15412},
			expr: &actionExpr{
				pos: position{line: 492, col: 27, offset: 15438},
				run: (*parser).callonSetIntersectExpression1,
				expr: &seqExpr{
					pos: position{line: 492, col: 27, offset: 15438},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 492, col: 27, offset: 15438},
							val:        "setintersect",
							ignoreCase: true,
							want:       "\"SetIntersect\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 492, col: 43, offset: 15454},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 492, col: 46, offset: 15457},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 492, col: 50, offset: 15461},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 492, col: 53, offset: 15464},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 492, col: 58, offset: 15469},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 492, col: 69, offset: 15480},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 492, col: 72, offset: 15483},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 492, col: 76, offset: 15487},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 492, col: 79, offset: 15490},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 492, col: 84, offset: 15495},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 492, col: 95, offset: 15506},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 492, col: 98, offset: 15509},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SetUnionExpression",
			pos:  position{line: 496, col: 1, offset: 15609},
			expr: &actionExpr{
				pos: position{line: 496, col: 23, offset: 15631},
				run: (*parser).callonSetUnionExpression1,
				expr: &seqExpr{
					pos: position{line: 496, col: 23, offset: 15631},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 496, col: 23, offset: 15631},
							val:        "setunion",
							ignoreCase: true,
							want:       "\"SetUnion\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 496, col: 35, offset: 15643},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 496, col: 38, offset: 15646},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 496, col: 42, offset: 15650},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 496, col: 45, offset: 15653},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 496, col: 50, offset: 15658},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 496, col: 61, offset: 15669},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 496, col: 64, offset: 15672},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 496, col: 68, offset: 15676},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 496, col: 71, offset: 15679},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 496, col: 76, offset: 15684},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 496, col: 87, offset: 15695},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 496, col: 90, offset: 15698},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "InFunction",
			pos:  position{line: 500, col: 1, offset: 15794},
			expr: &actionExpr{
				pos: position{line: 500, col: 15, offset: 15808},
				run: (*parser).callonInFunction1,
				expr: &seqExpr{
					pos: position{line: 500, col: 15, offset: 15808},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 500, col: 15, offset: 15808},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 500, col: 19, offset: 15812},
								name: "SelectProperty",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 500, col: 34, offset: 15827},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 500, col: 37, offset: 15830},
							val:        "in",
							ignoreCase: true,
							want:       "\"IN\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 500, col: 43, offset: 15836},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 500, col: 46, offset: 15839},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 500, col: 50, offset: 15843},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 500, col: 53, offset: 15846},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 500, col: 57, offset: 15850},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 500, col: 68, offset: 15861},
							label: "others",
							expr: &zeroOrMoreExpr{
								pos: position{line: 500, col: 75, offset: 15868},
								expr: &actionExpr{
									pos: position{line: 500, col: 76, offset: 15869},
									run: (*parser).callonInFunction14,
									expr: &seqExpr{
										pos: position{line: 500, col: 76, offset: 15869},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 500, col: 76, offset: 15869},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 500, col: 79, offset: 15872},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 500, col: 83, offset: 15876},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 500, col: 86, offset: 15879},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 500, col: 89, offset: 15882},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 500, col: 121, offset: 15914},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 500, col: 124, offset: 15917},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "Integer",
			pos:  position{line: 504, col: 1, offset: 16040},
			expr: &actionExpr{
				pos: position{line: 504, col: 12, offset: 16051},
				run: (*parser).callonInteger1,
				expr: &oneOrMoreExpr{
					pos: position{line: 504, col: 12, offset: 16051},
					expr: &charClassMatcher{
						pos:        position{line: 504, col: 12, offset: 16051},
						val:        "[0-9]",
						ranges:     []rune{'0', '9'},
						ignoreCase: false,
						inverted:   false,
					},
				},
			},
		},
		{
			name: "StringCharacter",
			pos:  position{line: 508, col: 1, offset: 16103},
			expr: &choiceExpr{
				pos: position{line: 508, col: 20, offset: 16122},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 508, col: 20, offset: 16122},
						run: (*parser).callonStringCharacter2,
						expr: &seqExpr{
							pos: position{line: 508, col: 20, offset: 16122},
							exprs: []any{
								&notExpr{
									pos: position{line: 508, col: 20, offset: 16122},
									expr: &choiceExpr{
										pos: position{line: 508, col: 22, offset: 16124},
										alternatives: []any{
											&litMatcher{
												pos:        position{line: 508, col: 22, offset: 16124},
												val:        "\"",
												ignoreCase: false,
												want:       "\"\\\"\"",
											},
											&litMatcher{
												pos:        position{line: 508, col: 28, offset: 16130},
												val:        "\\",
												ignoreCase: false,
												want:       "\"\\\\\"",
											},
										},
									},
								},
								&anyMatcher{
									line: 508, col: 34, offset: 16136,
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 509, col: 5, offset: 16173},
						run: (*parser).callonStringCharacter9,
						expr: &seqExpr{
							pos: position{line: 509, col: 5, offset: 16173},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 509, col: 5, offset: 16173},
									val:        "\\",
									ignoreCase: false,
									want:       "\"\\\\\"",
								},
								&labeledExpr{
									pos:   position{line: 509, col: 10, offset: 16178},
									label: "seq",
									expr: &ruleRefExpr{
										pos:  position{line: 509, col: 14, offset: 16182},
										name: "EscapeSequenceCharacter",
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "EscapeSequenceCharacter",
			pos:  position{line: 511, col: 1, offset: 16227},
			expr: &labeledExpr{
				pos:   position{line: 511, col: 28, offset: 16254},
				label: "char",
				expr: &ruleRefExpr{
					pos:  position{line: 511, col: 33, offset: 16259},
					name: "EscapeCharacter",
				},
			},
		},
		{
			name: "EscapeCharacter",
			pos:  position{line: 513, col: 1, offset: 16276},
			expr: &choiceExpr{
				pos: position{line: 513, col: 20, offset: 16295},
				alternatives: []any{
					&litMatcher{
						pos:        position{line: 513, col: 20, offset: 16295},
						val:        "'",
						ignoreCase: false,
						want:       "\"'\"",
					},
					&litMatcher{
						pos:        position{line: 514, col: 5, offset: 16303},
						val:        "\"",
						ignoreCase: false,
						want:       "\"\\\"\"",
					},
					&litMatcher{
						pos:        position{line: 515, col: 5, offset: 16311},
						val:        "\\",
						ignoreCase: false,
						want:       "\"\\\\\"",
					},
					&actionExpr{
						pos: position{line: 516, col: 5, offset: 16320},
						run: (*parser).callonEscapeCharacter5,
						expr: &litMatcher{
							pos:        position{line: 516, col: 5, offset: 16320},
							val:        "b",
							ignoreCase: false,
							want:       "\"b\"",
						},
					},
					&actionExpr{
						pos: position{line: 517, col: 5, offset: 16349},
						run: (*parser).callonEscapeCharacter7,
						expr: &litMatcher{
							pos:        position{line: 517, col: 5, offset: 16349},
							val:        "f",
							ignoreCase: false,
							want:       "\"f\"",
						},
					},
					&actionExpr{
						pos: position{line: 518, col: 5, offset: 16378},
						run: (*parser).callonEscapeCharacter9,
						expr: &litMatcher{
							pos:        position{line: 518, col: 5, offset: 16378},
							val:        "n",
							ignoreCase: false,
							want:       "\"n\"",
						},
					},
					&actionExpr{
						pos: position{line: 519, col: 5, offset: 16407},
						run: (*parser).callonEscapeCharacter11,
						expr: &litMatcher{
							pos:        position{line: 519, col: 5, offset: 16407},
							val:        "r",
							ignoreCase: false,
							want:       "\"r\"",
						},
					},
					&actionExpr{
						pos: position{line: 520, col: 5, offset: 16436},
						run: (*parser).callonEscapeCharacter13,
						expr: &litMatcher{
							pos:        position{line: 520, col: 5, offset: 16436},
							val:        "t",
							ignoreCase: false,
							want:       "\"t\"",
						},
					},
				},
			},
		},
		{
			name: "non_escape_character",
			pos:  position{line: 522, col: 1, offset: 16462},
			expr: &actionExpr{
				pos: position{line: 522, col: 25, offset: 16486},
				run: (*parser).callonnon_escape_character1,
				expr: &seqExpr{
					pos: position{line: 522, col: 25, offset: 16486},
					exprs: []any{
						&notExpr{
							pos: position{line: 522, col: 25, offset: 16486},
							expr: &ruleRefExpr{
								pos:  position{line: 522, col: 27, offset: 16488},
								name: "escape_character",
							},
						},
						&labeledExpr{
							pos:   position{line: 522, col: 45, offset: 16506},
							label: "char",
							expr: &anyMatcher{
								line: 522, col: 50, offset: 16511,
							},
						},
					},
				},
			},
		},
		{
			name: "ws",
			pos:  position{line: 525, col: 1, offset: 16550},
			expr: &zeroOrMoreExpr{
				pos: position{line: 525, col: 7, offset: 16556},
				expr: &charClassMatcher{
					pos:        position{line: 525, col: 7, offset: 16556},
					val:        "[ \\t\\n\\r]",
					chars:      []rune{' ', '\t', '\n', '\r'},
					ignoreCase: false,
					inverted:   false,
				},
			},
		},
		{
			name: "EOF",
			pos:  position{line: 527, col: 1, offset: 16568},
			expr: &notExpr{
				pos: position{line: 527, col: 8, offset: 16575},
				expr: &anyMatcher{
					line: 527, col: 9, offset: 16576,
				},
			},
		},
	},
}

func (c *current) onInput1(selectStmt any) (any, error) {
	return selectStmt, nil
}

func (p *parser) callonInput1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInput1(stack["selectStmt"])
}

func (c *current) onSelectStmt23(condition any) (any, error) {
	return condition, nil
}

func (p *parser) callonSelectStmt23() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt23(stack["condition"])
}

func (c *current) onSelectStmt1(distinctClause, topClause, columns, table, whereClause, orderByClause any) (any, error) {
	return makeSelectStmt(columns, table, whereClause, distinctClause, topClause, orderByClause)
}

func (p *parser) callonSelectStmt1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt1(stack["distinctClause"], stack["topClause"], stack["columns"], stack["table"], stack["whereClause"], stack["orderByClause"])
}

func (c *current) onTopClause1(count any) (any, error) {
	return count, nil
}

func (p *parser) callonTopClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onTopClause1(stack["count"])
}

func (c *current) onSelectAsterisk1() (any, error) {
	selectItem, _ := makeSelectItem("c", make([]interface{}, 0), parsers.SelectItemTypeField)
	selectItem.IsTopLevel = true
	return makeColumnList(selectItem, make([]interface{}, 0))
}

func (p *parser) callonSelectAsterisk1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectAsterisk1()
}

func (c *current) onColumnList7(coll any) (any, error) {
	return coll, nil
}

func (p *parser) callonColumnList7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onColumnList7(stack["coll"])
}

func (c *current) onColumnList1(column, other_columns any) (any, error) {
	return makeColumnList(column, other_columns)
}

func (p *parser) callonColumnList1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onColumnList1(stack["column"], stack["other_columns"])
}

func (c *current) onSelectValueSpec1(column any) (any, error) {
	selectItem := column.(parsers.SelectItem)
	selectItem.IsTopLevel = true
	return makeColumnList(selectItem, make([]interface{}, 0))
}

func (p *parser) callonSelectValueSpec1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectValueSpec1(stack["column"])
}

func (c *current) onTableName1(key any) (any, error) {
	return parsers.Table{Value: key.(string)}, nil
}

func (p *parser) callonTableName1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onTableName1(stack["key"])
}

func (c *current) onSelectArray1(columns any) (any, error) {
	return makeSelectArray(columns)
}

func (p *parser) callonSelectArray1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectArray1(stack["columns"])
}

func (c *current) onSelectObject10(coll any) (any, error) {
	return coll, nil
}

func (p *parser) callonSelectObject10() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObject10(stack["coll"])
}

func (c *current) onSelectObject1(field, other_fields any) (any, error) {
	return makeSelectObject(field, other_fields)
}

func (p *parser) callonSelectObject1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObject1(stack["field"], stack["other_fields"])
}

func (c *current) onSelectObjectField6(key any) (any, error) {
	return key, nil
}

func (p *parser) callonSelectObjectField6() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObjectField6(stack["key"])
}

func (c *current) onSelectObjectField1(name, selectItem any) (any, error) {
	item := selectItem.(parsers.SelectItem)
	item.Alias = name.(string)
	return item, nil
}

func (p *parser) callonSelectObjectField1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObjectField1(stack["name"], stack["selectItem"])
}

func (c *current) onSelectProperty1(name, path any) (any, error) {
	return makeSelectItem(name, path, parsers.SelectItemTypeField)
}

func (p *parser) callonSelectProperty1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectProperty1(stack["name"], stack["path"])
}

func (c *current) onSelectItem1(selectItem, asClause any) (any, error) {
	var itemResult parsers.SelectItem
	switch typedValue := selectItem.(type) {
	case parsers.SelectItem:
		itemResult = typedValue
	case parsers.Constant:
		itemResult = parsers.SelectItem{
			Type:  parsers.SelectItemTypeConstant,
			Value: typedValue,
		}
	case parsers.FunctionCall:
		itemResult = parsers.SelectItem{
			Type:  parsers.SelectItemTypeFunctionCall,
			Value: typedValue,
		}
	}

	if aliasValue, ok := asClause.(string); ok {
		itemResult.Alias = aliasValue
	}

	return itemResult, nil
}

func (p *parser) callonSelectItem1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectItem1(stack["selectItem"], stack["asClause"])
}

func (c *current) onAsClause1(alias any) (any, error) {
	return alias, nil
}

func (p *parser) callonAsClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAsClause1(stack["alias"])
}

func (c *current) onDotFieldAccess1(id any) (any, error) {
	return id, nil
}

func (p *parser) callonDotFieldAccess1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onDotFieldAccess1(stack["id"])
}

func (c *current) onArrayFieldAccess1(id any) (any, error) {
	return id, nil
}

func (p *parser) callonArrayFieldAccess1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayFieldAccess1(stack["id"])
}

func (c *current) onIdentifier1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonIdentifier1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIdentifier1()
}

func (c *current) onCondition1(expression any) (any, error) {
	return expression, nil
}

func (p *parser) callonCondition1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onCondition1(stack["expression"])
}

func (c *current) onOrExpression7(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonOrExpression7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrExpression7(stack["ex"])
}

func (c *current) onOrExpression1(ex1, ex2 any) (any, error) {
	return combineExpressions(ex1, ex2, parsers.LogicalExpressionTypeOr)
}

func (p *parser) callonOrExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrExpression1(stack["ex1"], stack["ex2"])
}

func (c *current) onAndExpression7(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonAndExpression7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAndExpression7(stack["ex"])
}

func (c *current) onAndExpression1(ex1, ex2 any) (any, error) {
	return combineExpressions(ex1, ex2, parsers.LogicalExpressionTypeAnd)
}

func (p *parser) callonAndExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAndExpression1(stack["ex1"], stack["ex2"])
}

func (c *current) onComparisonExpression2(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonComparisonExpression2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression2(stack["ex"])
}

func (c *current) onComparisonExpression10(left, op, right any) (any, error) {
	return parsers.ComparisonExpression{Left: left, Right: right, Operation: op.(string)}, nil
}

func (p *parser) callonComparisonExpression10() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression10(stack["left"], stack["op"], stack["right"])
}

func (c *current) onComparisonExpression20(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonComparisonExpression20() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression20(stack["ex"])
}

func (c *current) onComparisonExpression23(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonComparisonExpression23() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression23(stack["ex"])
}

func (c *current) onOrderByClause9(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonOrderByClause9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderByClause9(stack["ex"])
}

func (c *current) onOrderByClause1(ex1, others any) (any, error) {
	return makeOrderByClause(ex1, others)
}

func (p *parser) callonOrderByClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderByClause1(stack["ex1"], stack["others"])
}

func (c *current) onOrderExpression1(field, order any) (any, error) {
	return makeOrderExpression(field, order)
}

func (p *parser) callonOrderExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderExpression1(stack["field"], stack["order"])
}

func (c *current) onOrderDirection1() (any, error) {
	if strings.EqualFold(string(c.text), "DESC") {
		return parsers.OrderDirectionDesc, nil
	}

	return parsers.OrderDirectionAsc, nil
}

func (p *parser) callonOrderDirection1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderDirection1()
}

func (c *current) onComparisonOperator1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonComparisonOperator1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonOperator1()
}

func (c *current) onParameterConstant1() (any, error) {
	return parsers.Constant{Type: parsers.ConstantTypeParameterConstant, Value: string(c.text)}, nil
}

func (p *parser) callonParameterConstant1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onParameterConstant1()
}

func (c *current) onNullConstant1() (any, error) {
	return parsers.Constant{Value: nil}, nil
}

func (p *parser) callonNullConstant1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onNullConstant1()
}

func (c *current) onIntegerLiteral1(number any) (any, error) {
	return parsers.Constant{Type: parsers.ConstantTypeInteger, Value: number.(int)}, nil
}

func (p *parser) callonIntegerLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIntegerLiteral1(stack["number"])
}

func (c *current) onStringLiteral1(chars any) (any, error) {
	return parsers.Constant{Type: parsers.ConstantTypeString, Value: joinStrings(chars.([]interface{}))}, nil
}

func (p *parser) callonStringLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringLiteral1(stack["chars"])
}

func (c *current) onFloatLiteral1() (any, error) {
	floatValue, _ := strconv.ParseFloat(string(c.text), 64)
	return parsers.Constant{Type: parsers.ConstantTypeFloat, Value: floatValue}, nil
}

func (p *parser) callonFloatLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onFloatLiteral1()
}

func (c *current) onBooleanLiteral1() (any, error) {
	boolValue, _ := strconv.ParseBool(string(c.text))
	return parsers.Constant{Type: parsers.ConstantTypeBoolean, Value: boolValue}, nil
}

func (p *parser) callonBooleanLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onBooleanLiteral1()
}

func (c *current) onUpperExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallUpper, []interface{}{ex})
}

func (p *parser) callonUpperExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onUpperExpression1(stack["ex"])
}

func (c *current) onLowerExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLower, []interface{}{ex})
}

func (p *parser) callonLowerExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLowerExpression1(stack["ex"])
}

func (c *current) onStringEqualsExpression17(boolean any) (any, error) {
	return boolean, nil
}

func (p *parser) callonStringEqualsExpression17() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringEqualsExpression17(stack["boolean"])
}

func (c *current) onStringEqualsExpression1(ex1, ex2, ignoreCase any) (any, error) {
	return createFunctionCall(parsers.FunctionCallStringEquals, []interface{}{ex1, ex2, ignoreCase})
}

func (p *parser) callonStringEqualsExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringEqualsExpression1(stack["ex1"], stack["ex2"], stack["ignoreCase"])
}

func (c *current) onToStringExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallToString, []interface{}{ex})
}

func (p *parser) callonToStringExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onToStringExpression1(stack["ex"])
}

func (c *current) onConcatExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonConcatExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onConcatExpression11(stack["ex"])
}

func (c *current) onConcatExpression1(ex1, others any) (any, error) {
	arguments := append([]interface{}{ex1}, others.([]interface{})...)
	return createFunctionCall(parsers.FunctionCallConcat, arguments)
}

func (p *parser) callonConcatExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onConcatExpression1(stack["ex1"], stack["others"])
}

func (c *current) onLeftExpression1(ex, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLeft, []interface{}{ex, length})
}

func (p *parser) callonLeftExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLeftExpression1(stack["ex"], stack["length"])
}

func (c *current) onLengthExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLength, []interface{}{ex})
}

func (p *parser) callonLengthExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLengthExpression1(stack["ex"])
}

func (c *current) onLTrimExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLTrim, []interface{}{ex})
}

func (p *parser) callonLTrimExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLTrimExpression1(stack["ex"])
}

func (c *current) onReplaceExpression1(ex1, ex2, ex3 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallReplace, []interface{}{ex1, ex2, ex3})
}

func (p *parser) callonReplaceExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onReplaceExpression1(stack["ex1"], stack["ex2"], stack["ex3"])
}

func (c *current) onReplicateExpression1(ex1, ex2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallReplicate, []interface{}{ex1, ex2})
}

func (p *parser) callonReplicateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onReplicateExpression1(stack["ex1"], stack["ex2"])
}

func (c *current) onReverseExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallReverse, []interface{}{ex})
}

func (p *parser) callonReverseExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onReverseExpression1(stack["ex"])
}

func (c *current) onRightExpression1(ex, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallRight, []interface{}{ex, length})
}

func (p *parser) callonRightExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onRightExpression1(stack["ex"], stack["length"])
}

func (c *current) onRTrimExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallRTrim, []interface{}{ex})
}

func (p *parser) callonRTrimExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onRTrimExpression1(stack["ex"])
}

func (c *current) onSubstringExpression1(ex, startPos, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallSubstring, []interface{}{ex, startPos, length})
}

func (p *parser) callonSubstringExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSubstringExpression1(stack["ex"], stack["startPos"], stack["length"])
}

func (c *current) onTrimExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallTrim, []interface{}{ex})
}

func (p *parser) callonTrimExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onTrimExpression1(stack["ex"])
}

func (c *current) onThreeArgumentStringFunctionExpression18(boolean any) (any, error) {
	return boolean, nil
}

func (p *parser) callonThreeArgumentStringFunctionExpression18() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onThreeArgumentStringFunctionExpression18(stack["boolean"])
}

func (c *current) onThreeArgumentStringFunctionExpression1(function, ex1, ex2, ignoreCase any) (any, error) {
	var functionType parsers.FunctionCallType

	lowerFunction := strings.ToUpper(function.(string))
	switch lowerFunction {
	case "CONTAINS":
		functionType = parsers.FunctionCallContains
	case "ENDSWITH":
		functionType = parsers.FunctionCallEndsWith
	case "STARTSWITH":
		functionType = parsers.FunctionCallStartsWith
	case "INDEX_OF":
		functionType = parsers.FunctionCallIndexOf
	}

	return createFunctionCall(functionType, []interface{}{ex1, ex2, ignoreCase})
}

func (p *parser) callonThreeArgumentStringFunctionExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onThreeArgumentStringFunctionExpression1(stack["function"], stack["ex1"], stack["ex2"], stack["ignoreCase"])
}

func (c *current) onThreeArgumentStringFunction1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonThreeArgumentStringFunction1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onThreeArgumentStringFunction1()
}

func (c *current) onIsDefined1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsDefined, []interface{}{ex})
}

func (p *parser) callonIsDefined1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsDefined1(stack["ex"])
}

func (c *current) onIsArray1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsArray, []interface{}{ex})
}

func (p *parser) callonIsArray1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsArray1(stack["ex"])
}

func (c *current) onIsBool1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsBool, []interface{}{ex})
}

func (p *parser) callonIsBool1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsBool1(stack["ex"])
}

func (c *current) onIsFiniteNumber1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsFiniteNumber, []interface{}{ex})
}

func (p *parser) callonIsFiniteNumber1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsFiniteNumber1(stack["ex"])
}

func (c *current) onIsInteger1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsInteger, []interface{}{ex})
}

func (p *parser) callonIsInteger1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsInteger1(stack["ex"])
}

func (c *current) onIsNull1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsNull, []interface{}{ex})
}

func (p *parser) callonIsNull1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsNull1(stack["ex"])
}

func (c *current) onIsNumber1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsNumber, []interface{}{ex})
}

func (p *parser) callonIsNumber1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsNumber1(stack["ex"])
}

func (c *current) onIsObject1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsObject, []interface{}{ex})
}

func (p *parser) callonIsObject1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsObject1(stack["ex"])
}

func (c *current) onIsPrimitive1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsPrimitive, []interface{}{ex})
}

func (p *parser) callonIsPrimitive1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsPrimitive1(stack["ex"])
}

func (c *current) onIsString1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsString, []interface{}{ex})
}

func (p *parser) callonIsString1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsString1(stack["ex"])
}

func (c *current) onArrayConcatExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArrayConcatExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayConcatExpression11(stack["ex"])
}

func (c *current) onArrayConcatExpression1(arrays, others any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayConcat, append([]interface{}{arrays}, others.([]interface{})...))
}

func (p *parser) callonArrayConcatExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayConcatExpression1(stack["arrays"], stack["others"])
}

func (c *current) onArrayLengthExpression1(array any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayLength, []interface{}{array})
}

func (p *parser) callonArrayLengthExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayLengthExpression1(stack["array"])
}

func (c *current) onArraySliceExpression16(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArraySliceExpression16() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArraySliceExpression16(stack["ex"])
}

func (c *current) onArraySliceExpression1(array, start, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArraySlice, []interface{}{array, start, length})
}

func (p *parser) callonArraySliceExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArraySliceExpression1(stack["array"], stack["start"], stack["length"])
}

func (c *current) onSetIntersectExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallSetIntersect, []interface{}{set1, set2})
}

func (p *parser) callonSetIntersectExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSetIntersectExpression1(stack["set1"], stack["set2"])
}

func (c *current) onSetUnionExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallSetUnion, []interface{}{set1, set2})
}

func (p *parser) callonSetUnionExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSetUnionExpression1(stack["set1"], stack["set2"])
}

func (c *current) onInFunction14(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonInFunction14() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInFunction14(stack["ex"])
}

func (c *current) onInFunction1(ex1, ex2, others any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIn, append([]interface{}{ex1, ex2}, others.([]interface{})...))
}

func (p *parser) callonInFunction1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInFunction1(stack["ex1"], stack["ex2"], stack["others"])
}

func (c *current) onInteger1() (any, error) {
	return strconv.Atoi(string(c.text))
}

func (p *parser) callonInteger1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInteger1()
}

func (c *current) onStringCharacter2() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonStringCharacter2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringCharacter2()
}

func (c *current) onStringCharacter9(seq any) (any, error) {
	return seq, nil
}

func (p *parser) callonStringCharacter9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringCharacter9(stack["seq"])
}

func (c *current) onEscapeCharacter5() (any, error) {
	return "\b", nil
}

func (p *parser) callonEscapeCharacter5() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter5()
}

func (c *current) onEscapeCharacter7() (any, error) {
	return "\f", nil
}

func (p *parser) callonEscapeCharacter7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter7()
}

func (c *current) onEscapeCharacter9() (any, error) {
	return "\n", nil
}

func (p *parser) callonEscapeCharacter9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter9()
}

func (c *current) onEscapeCharacter11() (any, error) {
	return "\r", nil
}

func (p *parser) callonEscapeCharacter11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter11()
}

func (c *current) onEscapeCharacter13() (any, error) {
	return "\t", nil
}

func (p *parser) callonEscapeCharacter13() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter13()
}

func (c *current) onnon_escape_character1(char any) (any, error) {
	return string(c.text), nil
}

func (p *parser) callonnon_escape_character1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onnon_escape_character1(stack["char"])
}

var (
	// errNoRule is returned when the grammar to parse has no rule.
	errNoRule = errors.New("grammar has no rule")

	// errInvalidEntrypoint is returned when the specified entrypoint rule
	// does not exit.
	errInvalidEntrypoint = errors.New("invalid entrypoint")

	// errInvalidEncoding is returned when the source is not properly
	// utf8-encoded.
	errInvalidEncoding = errors.New("invalid encoding")

	// errMaxExprCnt is used to signal that the maximum number of
	// expressions have been parsed.
	errMaxExprCnt = errors.New("max number of expressions parsed")
)

// Option is a function that can set an option on the parser. It returns
// the previous setting as an Option.
type Option func(*parser) Option

// MaxExpressions creates an Option to stop parsing after the provided
// number of expressions have been parsed, if the value is 0 then the parser will
// parse for as many steps as needed (possibly an infinite number).
//
// The default for maxExprCnt is 0.
func MaxExpressions(maxExprCnt uint64) Option {
	return func(p *parser) Option {
		oldMaxExprCnt := p.maxExprCnt
		p.maxExprCnt = maxExprCnt
		return MaxExpressions(oldMaxExprCnt)
	}
}

// Entrypoint creates an Option to set the rule name to use as entrypoint.
// The rule name must have been specified in the -alternate-entrypoints
// if generating the parser with the -optimize-grammar flag, otherwise
// it may have been optimized out. Passing an empty string sets the
// entrypoint to the first rule in the grammar.
//
// The default is to start parsing at the first rule in the grammar.
func Entrypoint(ruleName string) Option {
	return func(p *parser) Option {
		oldEntrypoint := p.entrypoint
		p.entrypoint = ruleName
		if ruleName == "" {
			p.entrypoint = g.rules[0].name
		}
		return Entrypoint(oldEntrypoint)
	}
}

// Statistics adds a user provided Stats struct to the parser to allow
// the user to process the results after the parsing has finished.
// Also the key for the "no match" counter is set.
//
// Example usage:
//
//	input := "input"
//	stats := Stats{}
//	_, err := Parse("input-file", []byte(input), Statistics(&stats, "no match"))
//	if err != nil {
//	    log.Panicln(err)
//	}
//	b, err := json.MarshalIndent(stats.ChoiceAltCnt, "", "  ")
//	if err != nil {
//	    log.Panicln(err)
//	}
//	fmt.Println(string(b))
func Statistics(stats *Stats, choiceNoMatch string) Option {
	return func(p *parser) Option {
		oldStats := p.Stats
		p.Stats = stats
		oldChoiceNoMatch := p.choiceNoMatch
		p.choiceNoMatch = choiceNoMatch
		if p.Stats.ChoiceAltCnt == nil {
			p.Stats.ChoiceAltCnt = make(map[string]map[string]int)
		}
		return Statistics(oldStats, oldChoiceNoMatch)
	}
}

// Debug creates an Option to set the debug flag to b. When set to true,
// debugging information is printed to stdout while parsing.
//
// The default is false.
func Debug(b bool) Option {
	return func(p *parser) Option {
		old := p.debug
		p.debug = b
		return Debug(old)
	}
}

// Memoize creates an Option to set the memoize flag to b. When set to true,
// the parser will cache all results so each expression is evaluated only
// once. This guarantees linear parsing time even for pathological cases,
// at the expense of more memory and slower times for typical cases.
//
// The default is false.
func Memoize(b bool) Option {
	return func(p *parser) Option {
		old := p.memoize
		p.memoize = b
		return Memoize(old)
	}
}

// AllowInvalidUTF8 creates an Option to allow invalid UTF-8 bytes.
// Every invalid UTF-8 byte is treated as a utf8.RuneError (U+FFFD)
// by character class matchers and is matched by the any matcher.
// The returned matched value, c.text and c.offset are NOT affected.
//
// The default is false.
func AllowInvalidUTF8(b bool) Option {
	return func(p *parser) Option {
		old := p.allowInvalidUTF8
		p.allowInvalidUTF8 = b
		return AllowInvalidUTF8(old)
	}
}

// Recover creates an Option to set the recover flag to b. When set to
// true, this causes the parser to recover from panics and convert it
// to an error. Setting it to false can be useful while debugging to
// access the full stack trace.
//
// The default is true.
func Recover(b bool) Option {
	return func(p *parser) Option {
		old := p.recover
		p.recover = b
		return Recover(old)
	}
}

// GlobalStore creates an Option to set a key to a certain value in
// the globalStore.
func GlobalStore(key string, value any) Option {
	return func(p *parser) Option {
		old := p.cur.globalStore[key]
		p.cur.globalStore[key] = value
		return GlobalStore(key, old)
	}
}

// InitState creates an Option to set a key to a certain value in
// the global "state" store.
func InitState(key string, value any) Option {
	return func(p *parser) Option {
		old := p.cur.state[key]
		p.cur.state[key] = value
		return InitState(key, old)
	}
}

// ParseFile parses the file identified by filename.
func ParseFile(filename string, opts ...Option) (i any, err error) {
	f, err := os.Open(filename)
	if err != nil {
		return nil, err
	}
	defer func() {
		if closeErr := f.Close(); closeErr != nil {
			err = closeErr
		}
	}()
	return ParseReader(filename, f, opts...)
}

// ParseReader parses the data from r using filename as information in the
// error messages.
func ParseReader(filename string, r io.Reader, opts ...Option) (any, error) {
	b, err := io.ReadAll(r)
	if err != nil {
		return nil, err
	}

	return Parse(filename, b, opts...)
}

// Parse parses the data from b using filename as information in the
// error messages.
func Parse(filename string, b []byte, opts ...Option) (any, error) {
	return newParser(filename, b, opts...).parse(g)
}

// position records a position in the text.
type position struct {
	line, col, offset int
}

func (p position) String() string {
	return strconv.Itoa(p.line) + ":" + strconv.Itoa(p.col) + " [" + strconv.Itoa(p.offset) + "]"
}

// savepoint stores all state required to go back to this point in the
// parser.
type savepoint struct {
	position
	rn rune
	w  int
}

type current struct {
	pos  position // start position of the match
	text []byte   // raw text of the match

	// state is a store for arbitrary key,value pairs that the user wants to be
	// tied to the backtracking of the parser.
	// This is always rolled back if a parsing rule fails.
	state storeDict

	// globalStore is a general store for the user to store arbitrary key-value
	// pairs that they need to manage and that they do not want tied to the
	// backtracking of the parser. This is only modified by the user and never
	// rolled back by the parser. It is always up to the user to keep this in a
	// consistent state.
	globalStore storeDict
}

type storeDict map[string]any

// the AST types...

type grammar struct {
	pos   position
	rules []*rule
}

type rule struct {
	pos         position
	name        string
	displayName string
	expr        any
}

type choiceExpr struct {
	pos          position
	alternatives []any
}

type actionExpr struct {
	pos  position
	expr any
	run  func(*parser) (any, error)
}

type recoveryExpr struct {
	pos          position
	expr         any
	recoverExpr  any
	failureLabel []string
}

type seqExpr struct {
	pos   position
	exprs []any
}

type throwExpr struct {
	pos   position
	label string
}

type labeledExpr struct {
	pos   position
	label string
	expr  any
}

type expr struct {
	pos  position
	expr any
}

type (
	andExpr        expr
	notExpr        expr
	zeroOrOneExpr  expr
	zeroOrMoreExpr expr
	oneOrMoreExpr  expr
)

type ruleRefExpr struct {
	pos  position
	name string
}

type stateCodeExpr struct {
	pos position
	run func(*parser) error
}

type andCodeExpr struct {
	pos position
	run func(*parser) (bool, error)
}

type notCodeExpr struct {
	pos position
	run func(*parser) (bool, error)
}

type litMatcher struct {
	pos        position
	val        string
	ignoreCase bool
	want       string
}

type charClassMatcher struct {
	pos             position
	val             string
	basicLatinChars [128]bool
	chars           []rune
	ranges          []rune
	classes         []*unicode.RangeTable
	ignoreCase      bool
	inverted        bool
}

type anyMatcher position

// errList cumulates the errors found by the parser.
type errList []error

func (e *errList) add(err error) {
	*e = append(*e, err)
}

func (e errList) err() error {
	if len(e) == 0 {
		return nil
	}
	e.dedupe()
	return e
}

func (e *errList) dedupe() {
	var cleaned []error
	set := make(map[string]bool)
	for _, err := range *e {
		if msg := err.Error(); !set[msg] {
			set[msg] = true
			cleaned = append(cleaned, err)
		}
	}
	*e = cleaned
}

func (e errList) Error() string {
	switch len(e) {
	case 0:
		return ""
	case 1:
		return e[0].Error()
	default:
		var buf bytes.Buffer

		for i, err := range e {
			if i > 0 {
				buf.WriteRune('\n')
			}
			buf.WriteString(err.Error())
		}
		return buf.String()
	}
}

// parserError wraps an error with a prefix indicating the rule in which
// the error occurred. The original error is stored in the Inner field.
type parserError struct {
	Inner    error
	pos      position
	prefix   string
	expected []string
}

// Error returns the error message.
func (p *parserError) Error() string {
	return p.prefix + ": " + p.Inner.Error()
}

// newParser creates a parser with the specified input source and options.
func newParser(filename string, b []byte, opts ...Option) *parser {
	stats := Stats{
		ChoiceAltCnt: make(map[string]map[string]int),
	}

	p := &parser{
		filename: filename,
		errs:     new(errList),
		data:     b,
		pt:       savepoint{position: position{line: 1}},
		recover:  true,
		cur: current{
			state:       make(storeDict),
			globalStore: make(storeDict),
		},
		maxFailPos:      position{col: 1, line: 1},
		maxFailExpected: make([]string, 0, 20),
		Stats:           &stats,
		// start rule is rule [0] unless an alternate entrypoint is specified
		entrypoint: g.rules[0].name,
	}
	p.setOptions(opts)

	if p.maxExprCnt == 0 {
		p.maxExprCnt = math.MaxUint64
	}

	return p
}

// setOptions applies the options to the parser.
func (p *parser) setOptions(opts []Option) {
	for _, opt := range opts {
		opt(p)
	}
}

type resultTuple struct {
	v   any
	b   bool
	end savepoint
}

const choiceNoMatch = -1

// Stats stores some statistics, gathered during parsing
type Stats struct {
	// ExprCnt counts the number of expressions processed during parsing
	// This value is compared to the maximum number of expressions allowed
	// (set by the MaxExpressions option).
	ExprCnt uint64

	// ChoiceAltCnt is used to count for each ordered choice expression,
	// which alternative is used how may times.
	// These numbers allow to optimize the order of the ordered choice expression
	// to increase the performance of the parser
	//
	// The outer key of ChoiceAltCnt is composed of the name of the rule as well
	// as the line and the column of the ordered choice.
	// The inner key of ChoiceAltCnt is the number (one-based) of the matching alternative.
	// For each alternative the number of matches are counted. If an ordered choice does not
	// match, a special counter is incremented. The name of this counter is set with
	// the parser option Statistics.
	// For an alternative to be included in ChoiceAltCnt, it has to match at least once.
	ChoiceAltCnt map[string]map[string]int
}

type parser struct {
	filename string
	pt       savepoint
	cur      current

	data []byte
	errs *errList

	depth   int
	recover bool
	debug   bool

	memoize bool
	// memoization table for the packrat algorithm:
	// map[offset in source] map[expression or rule] {value, match}
	memo map[int]map[any]resultTuple

	// rules table, maps the rule identifier to the rule node
	rules map[string]*rule
	// variables stack, map of label to value
	vstack []map[string]any
	// rule stack, allows identification of the current rule in errors
	rstack []*rule

	// parse fail
	maxFailPos            position
	maxFailExpected       []string
	maxFailInvertExpected bool

	// max number of expressions to be parsed
	maxExprCnt uint64
	// entrypoint for the parser
	entrypoint string

	allowInvalidUTF8 bool

	*Stats

	choiceNoMatch string
	// recovery expression stack, keeps track of the currently available recovery expression, these are traversed in reverse
	recoveryStack []map[string]any
}

// push a variable set on the vstack.
func (p *parser) pushV() {
	if cap(p.vstack) == len(p.vstack) {
		// create new empty slot in the stack
		p.vstack = append(p.vstack, nil)
	} else {
		// slice to 1 more
		p.vstack = p.vstack[:len(p.vstack)+1]
	}

	// get the last args set
	m := p.vstack[len(p.vstack)-1]
	if m != nil && len(m) == 0 {
		// empty map, all good
		return
	}

	m = make(map[string]any)
	p.vstack[len(p.vstack)-1] = m
}

// pop a variable set from the vstack.
func (p *parser) popV() {
	// if the map is not empty, clear it
	m := p.vstack[len(p.vstack)-1]
	if len(m) > 0 {
		// GC that map
		p.vstack[len(p.vstack)-1] = nil
	}
	p.vstack = p.vstack[:len(p.vstack)-1]
}

// push a recovery expression with its labels to the recoveryStack
func (p *parser) pushRecovery(labels []string, expr any) {
	if cap(p.recoveryStack) == len(p.recoveryStack) {
		// create new empty slot in the stack
		p.recoveryStack = append(p.recoveryStack, nil)
	} else {
		// slice to 1 more
		p.recoveryStack = p.recoveryStack[:len(p.recoveryStack)+1]
	}

	m := make(map[string]any, len(labels))
	for _, fl := range labels {
		m[fl] = expr
	}
	p.recoveryStack[len(p.recoveryStack)-1] = m
}

// pop a recovery expression from the recoveryStack
func (p *parser) popRecovery() {
	// GC that map
	p.recoveryStack[len(p.recoveryStack)-1] = nil

	p.recoveryStack = p.recoveryStack[:len(p.recoveryStack)-1]
}

func (p *parser) print(prefix, s string) string {
	if !p.debug {
		return s
	}

	fmt.Printf("%s %d:%d:%d: %s [%#U]\n",
		prefix, p.pt.line, p.pt.col, p.pt.offset, s, p.pt.rn)
	return s
}

func (p *parser) printIndent(mark string, s string) string {
	return p.print(strings.Repeat(" ", p.depth)+mark, s)
}

func (p *parser) in(s string) string {
	res := p.printIndent(">", s)
	p.depth++
	return res
}

func (p *parser) out(s string) string {
	p.depth--
	return p.printIndent("<", s)
}

func (p *parser) addErr(err error) {
	p.addErrAt(err, p.pt.position, []string{})
}

func (p *parser) addErrAt(err error, pos position, expected []string) {
	var buf bytes.Buffer
	if p.filename != "" {
		buf.WriteString(p.filename)
	}
	if buf.Len() > 0 {
		buf.WriteString(":")
	}
	buf.WriteString(fmt.Sprintf("%d:%d (%d)", pos.line, pos.col, pos.offset))
	if len(p.rstack) > 0 {
		if buf.Len() > 0 {
			buf.WriteString(": ")
		}
		rule := p.rstack[len(p.rstack)-1]
		if rule.displayName != "" {
			buf.WriteString("rule " + rule.displayName)
		} else {
			buf.WriteString("rule " + rule.name)
		}
	}
	pe := &parserError{Inner: err, pos: pos, prefix: buf.String(), expected: expected}
	p.errs.add(pe)
}

func (p *parser) failAt(fail bool, pos position, want string) {
	// process fail if parsing fails and not inverted or parsing succeeds and invert is set
	if fail == p.maxFailInvertExpected {
		if pos.offset < p.maxFailPos.offset {
			return
		}

		if pos.offset > p.maxFailPos.offset {
			p.maxFailPos = pos
			p.maxFailExpected = p.maxFailExpected[:0]
		}

		if p.maxFailInvertExpected {
			want = "!" + want
		}
		p.maxFailExpected = append(p.maxFailExpected, want)
	}
}

// read advances the parser to the next rune.
func (p *parser) read() {
	p.pt.offset += p.pt.w
	rn, n := utf8.DecodeRune(p.data[p.pt.offset:])
	p.pt.rn = rn
	p.pt.w = n
	p.pt.col++
	if rn == '\n' {
		p.pt.line++
		p.pt.col = 0
	}

	if rn == utf8.RuneError && n == 1 { // see utf8.DecodeRune
		if !p.allowInvalidUTF8 {
			p.addErr(errInvalidEncoding)
		}
	}
}

// restore parser position to the savepoint pt.
func (p *parser) restore(pt savepoint) {
	if p.debug {
		defer p.out(p.in("restore"))
	}
	if pt.offset == p.pt.offset {
		return
	}
	p.pt = pt
}

// Cloner is implemented by any value that has a Clone method, which returns a
// copy of the value. This is mainly used for types which are not passed by
// value (e.g map, slice, chan) or structs that contain such types.
//
// This is used in conjunction with the global state feature to create proper
// copies of the state to allow the parser to properly restore the state in
// the case of backtracking.
type Cloner interface {
	Clone() any
}

var statePool = &sync.Pool{
	New: func() any { return make(storeDict) },
}

func (sd storeDict) Discard() {
	for k := range sd {
		delete(sd, k)
	}
	statePool.Put(sd)
}

// clone and return parser current state.
func (p *parser) cloneState() storeDict {
	if p.debug {
		defer p.out(p.in("cloneState"))
	}

	state := statePool.Get().(storeDict)
	for k, v := range p.cur.state {
		if c, ok := v.(Cloner); ok {
			state[k] = c.Clone()
		} else {
			state[k] = v
		}
	}
	return state
}

// restore parser current state to the state storeDict.
// every restoreState should applied only one time for every cloned state
func (p *parser) restoreState(state storeDict) {
	if p.debug {
		defer p.out(p.in("restoreState"))
	}
	p.cur.state.Discard()
	p.cur.state = state
}

// get the slice of bytes from the savepoint start to the current position.
func (p *parser) sliceFrom(start savepoint) []byte {
	return p.data[start.position.offset:p.pt.position.offset]
}

func (p *parser) getMemoized(node any) (resultTuple, bool) {
	if len(p.memo) == 0 {
		return resultTuple{}, false
	}
	m := p.memo[p.pt.offset]
	if len(m) == 0 {
		return resultTuple{}, false
	}
	res, ok := m[node]
	return res, ok
}

func (p *parser) setMemoized(pt savepoint, node any, tuple resultTuple) {
	if p.memo == nil {
		p.memo = make(map[int]map[any]resultTuple)
	}
	m := p.memo[pt.offset]
	if m == nil {
		m = make(map[any]resultTuple)
		p.memo[pt.offset] = m
	}
	m[node] = tuple
}

func (p *parser) buildRulesTable(g *grammar) {
	p.rules = make(map[string]*rule, len(g.rules))
	for _, r := range g.rules {
		p.rules[r.name] = r
	}
}

func (p *parser) parse(g *grammar) (val any, err error) {
	if len(g.rules) == 0 {
		p.addErr(errNoRule)
		return nil, p.errs.err()
	}

	// TODO : not super critical but this could be generated
	p.buildRulesTable(g)

	if p.recover {
		// panic can be used in action code to stop parsing immediately
		// and return the panic as an error.
		defer func() {
			if e := recover(); e != nil {
				if p.debug {
					defer p.out(p.in("panic handler"))
				}
				val = nil
				switch e := e.(type) {
				case error:
					p.addErr(e)
				default:
					p.addErr(fmt.Errorf("%v", e))
				}
				err = p.errs.err()
			}
		}()
	}

	startRule, ok := p.rules[p.entrypoint]
	if !ok {
		p.addErr(errInvalidEntrypoint)
		return nil, p.errs.err()
	}

	p.read() // advance to first rune
	val, ok = p.parseRuleWrap(startRule)
	if !ok {
		if len(*p.errs) == 0 {
			// If parsing fails, but no errors have been recorded, the expected values
			// for the farthest parser position are returned as error.
			maxFailExpectedMap := make(map[string]struct{}, len(p.maxFailExpected))
			for _, v := range p.maxFailExpected {
				maxFailExpectedMap[v] = struct{}{}
			}
			expected := make([]string, 0, len(maxFailExpectedMap))
			eof := false
			if _, ok := maxFailExpectedMap["!."]; ok {
				delete(maxFailExpectedMap, "!.")
				eof = true
			}
			for k := range maxFailExpectedMap {
				expected = append(expected, k)
			}
			sort.Strings(expected)
			if eof {
				expected = append(expected, "EOF")
			}
			p.addErrAt(errors.New("no match found, expected: "+listJoin(expected, ", ", "or")), p.maxFailPos, expected)
		}

		return nil, p.errs.err()
	}
	return val, p.errs.err()
}

func listJoin(list []string, sep string, lastSep string) string {
	switch len(list) {
	case 0:
		return ""
	case 1:
		return list[0]
	default:
		return strings.Join(list[:len(list)-1], sep) + " " + lastSep + " " + list[len(list)-1]
	}
}

func (p *parser) parseRuleMemoize(rule *rule) (any, bool) {
	res, ok := p.getMemoized(rule)
	if ok {
		p.restore(res.end)
		return res.v, res.b
	}

	startMark := p.pt
	val, ok := p.parseRule(rule)
	p.setMemoized(startMark, rule, resultTuple{val, ok, p.pt})

	return val, ok
}

func (p *parser) parseRuleWrap(rule *rule) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseRule " + rule.name))
	}
	var (
		val       any
		ok        bool
		startMark = p.pt
	)

	if p.memoize {
		val, ok = p.parseRuleMemoize(rule)
	} else {
		val, ok = p.parseRule(rule)
	}

	if ok && p.debug {
		p.printIndent("MATCH", string(p.sliceFrom(startMark)))
	}
	return val, ok
}

func (p *parser) parseRule(rule *rule) (any, bool) {
	p.rstack = append(p.rstack, rule)
	p.pushV()
	val, ok := p.parseExprWrap(rule.expr)
	p.popV()
	p.rstack = p.rstack[:len(p.rstack)-1]
	return val, ok
}

func (p *parser) parseExprWrap(expr any) (any, bool) {
	var pt savepoint

	if p.memoize {
		res, ok := p.getMemoized(expr)
		if ok {
			p.restore(res.end)
			return res.v, res.b
		}
		pt = p.pt
	}

	val, ok := p.parseExpr(expr)

	if p.memoize {
		p.setMemoized(pt, expr, resultTuple{val, ok, p.pt})
	}
	return val, ok
}

func (p *parser) parseExpr(expr any) (any, bool) {
	p.ExprCnt++
	if p.ExprCnt > p.maxExprCnt {
		panic(errMaxExprCnt)
	}

	var val any
	var ok bool
	switch expr := expr.(type) {
	case *actionExpr:
		val, ok = p.parseActionExpr(expr)
	case *andCodeExpr:
		val, ok = p.parseAndCodeExpr(expr)
	case *andExpr:
		val, ok = p.parseAndExpr(expr)
	case *anyMatcher:
		val, ok = p.parseAnyMatcher(expr)
	case *charClassMatcher:
		val, ok = p.parseCharClassMatcher(expr)
	case *choiceExpr:
		val, ok = p.parseChoiceExpr(expr)
	case *labeledExpr:
		val, ok = p.parseLabeledExpr(expr)
	case *litMatcher:
		val, ok = p.parseLitMatcher(expr)
	case *notCodeExpr:
		val, ok = p.parseNotCodeExpr(expr)
	case *notExpr:
		val, ok = p.parseNotExpr(expr)
	case *oneOrMoreExpr:
		val, ok = p.parseOneOrMoreExpr(expr)
	case *recoveryExpr:
		val, ok = p.parseRecoveryExpr(expr)
	case *ruleRefExpr:
		val, ok = p.parseRuleRefExpr(expr)
	case *seqExpr:
		val, ok = p.parseSeqExpr(expr)
	case *stateCodeExpr:
		val, ok = p.parseStateCodeExpr(expr)
	case *throwExpr:
		val, ok = p.parseThrowExpr(expr)
	case *zeroOrMoreExpr:
		val, ok = p.parseZeroOrMoreExpr(expr)
	case *zeroOrOneExpr:
		val, ok = p.parseZeroOrOneExpr(expr)
	default:
		panic(fmt.Sprintf("unknown expression type %T", expr))
	}
	return val, ok
}

func (p *parser) parseActionExpr(act *actionExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseActionExpr"))
	}

	start := p.pt
	val, ok := p.parseExprWrap(act.expr)
	if ok {
		p.cur.pos = start.position
		p.cur.text = p.sliceFrom(start)
		state := p.cloneState()
		actVal, err := act.run(p)
		if err != nil {
			p.addErrAt(err, start.position, []string{})
		}
		p.restoreState(state)

		val = actVal
	}
	if ok && p.debug {
		p.printIndent("MATCH", string(p.sliceFrom(start)))
	}
	return val, ok
}

func (p *parser) parseAndCodeExpr(and *andCodeExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseAndCodeExpr"))
	}

	state := p.cloneState()

	ok, err := and.run(p)
	if err != nil {
		p.addErr(err)
	}
	p.restoreState(state)

	return nil, ok
}

func (p *parser) parseAndExpr(and *andExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseAndExpr"))
	}

	pt := p.pt
	state := p.cloneState()
	p.pushV()
	_, ok := p.parseExprWrap(and.expr)
	p.popV()
	p.restoreState(state)
	p.restore(pt)

	return nil, ok
}

func (p *parser) parseAnyMatcher(any *anyMatcher) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseAnyMatcher"))
	}

	if p.pt.rn == utf8.RuneError && p.pt.w == 0 {
		// EOF - see utf8.DecodeRune
		p.failAt(false, p.pt.position, ".")
		return nil, false
	}
	start := p.pt
	p.read()
	p.failAt(true, start.position, ".")
	return p.sliceFrom(start), true
}

func (p *parser) parseCharClassMatcher(chr *charClassMatcher) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseCharClassMatcher"))
	}

	cur := p.pt.rn
	start := p.pt

	// can't match EOF
	if cur == utf8.RuneError && p.pt.w == 0 { // see utf8.DecodeRune
		p.failAt(false, start.position, chr.val)
		return nil, false
	}

	if chr.ignoreCase {
		cur = unicode.ToLower(cur)
	}

	// try to match in the list of available chars
	for _, rn := range chr.chars {
		if rn == cur {
			if chr.inverted {
				p.failAt(false, start.position, chr.val)
				return nil, false
			}
			p.read()
			p.failAt(true, start.position, chr.val)
			return p.sliceFrom(start), true
		}
	}

	// try to match in the list of ranges
	for i := 0; i < len(chr.ranges); i += 2 {
		if cur >= chr.ranges[i] && cur <= chr.ranges[i+1] {
			if chr.inverted {
				p.failAt(false, start.position, chr.val)
				return nil, false
			}
			p.read()
			p.failAt(true, start.position, chr.val)
			return p.sliceFrom(start), true
		}
	}

	// try to match in the list of Unicode classes
	for _, cl := range chr.classes {
		if unicode.Is(cl, cur) {
			if chr.inverted {
				p.failAt(false, start.position, chr.val)
				return nil, false
			}
			p.read()
			p.failAt(true, start.position, chr.val)
			return p.sliceFrom(start), true
		}
	}

	if chr.inverted {
		p.read()
		p.failAt(true, start.position, chr.val)
		return p.sliceFrom(start), true
	}
	p.failAt(false, start.position, chr.val)
	return nil, false
}

func (p *parser) incChoiceAltCnt(ch *choiceExpr, altI int) {
	choiceIdent := fmt.Sprintf("%s %d:%d", p.rstack[len(p.rstack)-1].name, ch.pos.line, ch.pos.col)
	m := p.ChoiceAltCnt[choiceIdent]
	if m == nil {
		m = make(map[string]int)
		p.ChoiceAltCnt[choiceIdent] = m
	}
	// We increment altI by 1, so the keys do not start at 0
	alt := strconv.Itoa(altI + 1)
	if altI == choiceNoMatch {
		alt = p.choiceNoMatch
	}
	m[alt]++
}

func (p *parser) parseChoiceExpr(ch *choiceExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseChoiceExpr"))
	}

	for altI, alt := range ch.alternatives {
		// dummy assignment to prevent compile error if optimized
		_ = altI

		state := p.cloneState()

		p.pushV()
		val, ok := p.parseExprWrap(alt)
		p.popV()
		if ok {
			p.incChoiceAltCnt(ch, altI)
			return val, ok
		}
		p.restoreState(state)
	}
	p.incChoiceAltCnt(ch, choiceNoMatch)
	return nil, false
}

func (p *parser) parseLabeledExpr(lab *labeledExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseLabeledExpr"))
	}

	p.pushV()
	val, ok := p.parseExprWrap(lab.expr)
	p.popV()
	if ok && lab.label != "" {
		m := p.vstack[len(p.vstack)-1]
		m[lab.label] = val
	}
	return val, ok
}

func (p *parser) parseLitMatcher(lit *litMatcher) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseLitMatcher"))
	}

	start := p.pt
	for _, want := range lit.val {
		cur := p.pt.rn
		if lit.ignoreCase {
			cur = unicode.ToLower(cur)
		}
		if cur != want {
			p.failAt(false, start.position, lit.want)
			p.restore(start)
			return nil, false
		}
		p.read()
	}
	p.failAt(true, start.position, lit.want)
	return p.sliceFrom(start), true
}

func (p *parser) parseNotCodeExpr(not *notCodeExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseNotCodeExpr"))
	}

	state := p.cloneState()

	ok, err := not.run(p)
	if err != nil {
		p.addErr(err)
	}
	p.restoreState(state)

	return nil, !ok
}

func (p *parser) parseNotExpr(not *notExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseNotExpr"))
	}

	pt := p.pt
	state := p.cloneState()
	p.pushV()
	p.maxFailInvertExpected = !p.maxFailInvertExpected
	_, ok := p.parseExprWrap(not.expr)
	p.maxFailInvertExpected = !p.maxFailInvertExpected
	p.popV()
	p.restoreState(state)
	p.restore(pt)

	return nil, !ok
}

func (p *parser) parseOneOrMoreExpr(expr *oneOrMoreExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseOneOrMoreExpr"))
	}

	var vals []any

	for {
		p.pushV()
		val, ok := p.parseExprWrap(expr.expr)
		p.popV()
		if !ok {
			if len(vals) == 0 {
				// did not match once, no match
				return nil, false
			}
			return vals, true
		}
		vals = append(vals, val)
	}
}

func (p *parser) parseRecoveryExpr(recover *recoveryExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseRecoveryExpr (" + strings.Join(recover.failureLabel, ",") + ")"))
	}

	p.pushRecovery(recover.failureLabel, recover.recoverExpr)
	val, ok := p.parseExprWrap(recover.expr)
	p.popRecovery()

	return val, ok
}

func (p *parser) parseRuleRefExpr(ref *ruleRefExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseRuleRefExpr " + ref.name))
	}

	if ref.name == "" {
		panic(fmt.Sprintf("%s: invalid rule: missing name", ref.pos))
	}

	rule := p.rules[ref.name]
	if rule == nil {
		p.addErr(fmt.Errorf("undefined rule: %s", ref.name))
		return nil, false
	}
	return p.parseRuleWrap(rule)
}

func (p *parser) parseSeqExpr(seq *seqExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseSeqExpr"))
	}

	vals := make([]any, 0, len(seq.exprs))

	pt := p.pt
	state := p.cloneState()
	for _, expr := range seq.exprs {
		val, ok := p.parseExprWrap(expr)
		if !ok {
			p.restoreState(state)
			p.restore(pt)
			return nil, false
		}
		vals = append(vals, val)
	}
	return vals, true
}

func (p *parser) parseStateCodeExpr(state *stateCodeExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseStateCodeExpr"))
	}

	err := state.run(p)
	if err != nil {
		p.addErr(err)
	}
	return nil, true
}

func (p *parser) parseThrowExpr(expr *throwExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseThrowExpr"))
	}

	for i := len(p.recoveryStack) - 1; i >= 0; i-- {
		if recoverExpr, ok := p.recoveryStack[i][expr.label]; ok {
			if val, ok := p.parseExprWrap(recoverExpr); ok {
				return val, ok
			}
		}
	}

	return nil, false
}

func (p *parser) parseZeroOrMoreExpr(expr *zeroOrMoreExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseZeroOrMoreExpr"))
	}

	var vals []any

	for {
		p.pushV()
		val, ok := p.parseExprWrap(expr.expr)
		p.popV()
		if !ok {
			return vals, true
		}
		vals = append(vals, val)
	}
}

func (p *parser) parseZeroOrOneExpr(expr *zeroOrOneExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseZeroOrOneExpr"))
	}

	p.pushV()
	val, _ := p.parseExprWrap(expr.expr)
	p.popV()
	// whether it matched or not, consider it a match
	return val, true
}
